Ver Fonte

Merge branch 'master' of github.com:serghey-rodin/vesta

Serghey Rodin há 10 anos atrás
pai
commit
9e2107699e
85 ficheiros alterados com 1850 adições e 231 exclusões
  1. 4 2
      bin/v-add-backup-host
  2. 1 1
      bin/v-backup-user
  3. 18 7
      bin/v-check-user-password
  4. 5 0
      bin/v-generate-password-hash
  5. 1 1
      bin/v-list-sys-vesta-autoupdate
  6. 13 19
      bin/v-update-firewall
  7. 1 1
      install/debian/7/exim/exim4.conf.template
  8. 64 0
      install/debian/7/templates/web/nginx/php5-fpm/modx.stpl
  9. 60 0
      install/debian/7/templates/web/nginx/php5-fpm/modx.tpl
  10. 11 11
      install/debian/7/templates/web/php5-fpm/no-php.tpl
  11. 1 1
      install/debian/8/exim/exim4.conf.template
  12. 64 0
      install/debian/8/templates/web/nginx/php5-fpm/modx.stpl
  13. 60 0
      install/debian/8/templates/web/nginx/php5-fpm/modx.tpl
  14. 11 11
      install/debian/8/templates/web/php5-fpm/no-php.tpl
  15. 1 1
      install/rhel/5/exim/exim.conf
  16. 64 0
      install/rhel/5/templates/web/nginx/php-fpm/modx.stpl
  17. 60 0
      install/rhel/5/templates/web/nginx/php-fpm/modx.tpl
  18. 11 11
      install/rhel/5/templates/web/php-fpm/no-php.tpl
  19. 1 1
      install/rhel/6/exim/exim.conf
  20. 64 0
      install/rhel/6/templates/web/nginx/php-fpm/modx.stpl
  21. 60 0
      install/rhel/6/templates/web/nginx/php-fpm/modx.tpl
  22. 11 11
      install/rhel/6/templates/web/php-fpm/no-php.tpl
  23. 1 1
      install/rhel/7/exim/exim.conf
  24. 64 0
      install/rhel/7/templates/web/nginx/php-fpm/modx.stpl
  25. 60 0
      install/rhel/7/templates/web/nginx/php-fpm/modx.tpl
  26. 11 11
      install/rhel/7/templates/web/php-fpm/no-php.tpl
  27. 1 1
      install/ubuntu/12.04/exim/exim4.conf.template
  28. 64 0
      install/ubuntu/12.04/templates/web/nginx/php5-fpm/modx.stpl
  29. 60 0
      install/ubuntu/12.04/templates/web/nginx/php5-fpm/modx.tpl
  30. 11 11
      install/ubuntu/12.04/templates/web/php5-fpm/no-php.tpl
  31. 1 1
      install/ubuntu/12.10/exim/exim4.conf.template
  32. 64 0
      install/ubuntu/12.10/templates/web/nginx/php5-fpm/modx.stpl
  33. 60 0
      install/ubuntu/12.10/templates/web/nginx/php5-fpm/modx.tpl
  34. 11 11
      install/ubuntu/12.10/templates/web/php5-fpm/no-php.tpl
  35. 1 1
      install/ubuntu/13.04/exim/exim4.conf.template
  36. 64 0
      install/ubuntu/13.04/templates/web/nginx/php5-fpm/modx.stpl
  37. 60 0
      install/ubuntu/13.04/templates/web/nginx/php5-fpm/modx.tpl
  38. 11 11
      install/ubuntu/13.04/templates/web/php5-fpm/no-php.tpl
  39. 1 1
      install/ubuntu/13.10/exim/exim4.conf.template
  40. 64 0
      install/ubuntu/13.10/templates/web/nginx/php5-fpm/modx.stpl
  41. 60 0
      install/ubuntu/13.10/templates/web/nginx/php5-fpm/modx.tpl
  42. 11 11
      install/ubuntu/13.10/templates/web/php5-fpm/no-php.tpl
  43. 1 1
      install/ubuntu/14.04/exim/exim4.conf.template
  44. 64 0
      install/ubuntu/14.04/templates/web/nginx/php5-fpm/modx.stpl
  45. 60 0
      install/ubuntu/14.04/templates/web/nginx/php5-fpm/modx.tpl
  46. 11 11
      install/ubuntu/14.04/templates/web/php5-fpm/no-php.tpl
  47. 1 1
      install/ubuntu/14.10/exim/exim4.conf.template
  48. 64 0
      install/ubuntu/14.10/templates/web/nginx/php5-fpm/modx.stpl
  49. 60 0
      install/ubuntu/14.10/templates/web/nginx/php5-fpm/modx.tpl
  50. 11 11
      install/ubuntu/14.10/templates/web/php5-fpm/no-php.tpl
  51. 1 1
      install/ubuntu/15.04/exim/exim4.conf.template
  52. 64 0
      install/ubuntu/15.04/templates/web/nginx/php5-fpm/modx.stpl
  53. 60 0
      install/ubuntu/15.04/templates/web/nginx/php5-fpm/modx.tpl
  54. 11 11
      install/ubuntu/15.04/templates/web/php5-fpm/no-php.tpl
  55. 1 1
      install/ubuntu/15.10/exim/exim4.conf.template
  56. 64 0
      install/ubuntu/15.10/templates/web/nginx/php5-fpm/modx.stpl
  57. 60 0
      install/ubuntu/15.10/templates/web/nginx/php5-fpm/modx.tpl
  58. 11 11
      install/ubuntu/15.10/templates/web/php5-fpm/no-php.tpl
  59. 1 1
      install/vst-install-debian.sh
  60. 1 1
      web/inc/i18n/vi.php
  61. 4 4
      web/templates/admin/add_ip.html
  62. 1 6
      web/templates/admin/edit_package.html
  63. 1 1
      web/templates/admin/list_backup.html
  64. 1 1
      web/templates/admin/list_cron.html
  65. 1 1
      web/templates/admin/list_db.html
  66. 1 1
      web/templates/admin/list_dns.html
  67. 1 1
      web/templates/admin/list_dns_rec.html
  68. 1 1
      web/templates/admin/list_firewall.html
  69. 6 6
      web/templates/admin/list_ip.html
  70. 1 1
      web/templates/admin/list_mail.html
  71. 1 1
      web/templates/admin/list_mail_acc.html
  72. 1 1
      web/templates/admin/list_packages.html
  73. 3 3
      web/templates/admin/list_search.html
  74. 1 1
      web/templates/admin/list_services.html
  75. 2 2
      web/templates/admin/list_user.html
  76. 1 1
      web/templates/admin/list_web.html
  77. 1 1
      web/templates/user/list_cron.html
  78. 1 1
      web/templates/user/list_db.html
  79. 1 1
      web/templates/user/list_dns.html
  80. 1 1
      web/templates/user/list_dns_rec.html
  81. 1 1
      web/templates/user/list_mail.html
  82. 1 1
      web/templates/user/list_mail_acc.html
  83. 2 2
      web/templates/user/list_search.html
  84. 2 2
      web/templates/user/list_user.html
  85. 1 1
      web/templates/user/list_web.html

+ 4 - 2
bin/v-add-backup-host

@@ -137,8 +137,10 @@ if [ "$type" = 'sftp' ]; then
     if [ -z $port ]; then
         port=22
     fi
-    sftmpdir="$path/vst.bK76A9SUkt"
-    sftpc "mkdir $sftmpdir" "rmdir $sftmpdir" > /dev/null 2>&1
+    if sftpc "mkdir $path" > /dev/null 2>&1 ; then
+        sftmpdir="$path/vst.bK76A9SUkt"
+        sftpc "mkdir $sftmpdir" "rmdir $sftmpdir" > /dev/null 2>&1
+    fi
     rc=$?
     if [[ "$rc" != 0 ]]; then
         case $rc in

+ 1 - 1
bin/v-backup-user

@@ -434,7 +434,7 @@ if [ "$USER" != '*' ]; then
     set -f
     i=0
 
-    for udir in $(ls -a |egrep -v "conf|web|dns|mail|^\.\.$|^\.$"); do
+    for udir in $(ls -a |egrep -v "^conf$|^web$|^dns$|^mail$|^\.\.$|^\.$"); do
         exclusion=$(echo "$USER" |tr ',' '\n' |grep "^$udir$")
         if [ -z "$exclusion" ]; then
             ((i ++))

+ 18 - 7
bin/v-check-user-password

@@ -49,13 +49,24 @@ fi
 #----------------------------------------------------------#
 
 # Parsing user's salt
-shadow=$(grep "^$user:" /etc/shadow)
-salt=$(echo "$shadow" |cut -f 3 -d \$)
-method=$(echo "$shadow" |cut -f 2 -d \$)
-if [ "$method" -eq '1' ]; then
-    method='md5'
+shadow=$(grep "^$user:" /etc/shadow | cut -f 2 -d :)
+
+if echo "$shadow" | grep -qE '^\$[0-9a-z]+\$[^\$]+\$'
+then
+    salt=$(echo "$shadow" |cut -f 3 -d \$)
+    method=$(echo "$shadow" |cut -f 2 -d \$)
+    if [ "$method" -eq '1' ]; then
+        method='md5'
+    elif [ "$method" -eq '6' ]; then
+        method='sha-512'
+    else
+        echo "Error: password missmatch"
+        echo "$DATE $TIME $user $ip failed to login" >> $VESTA/log/auth.log
+        exit 9
+    fi
 else
-    method='sha-512'
+    salt=${shadow:0:2}
+    method='des'
 fi
 
 if [ -z "$salt" ]; then
@@ -64,7 +75,7 @@ if [ -z "$salt" ]; then
     exit 9
 fi
 
-# Generating SHA-512
+# Generating hash
 hash=$($BIN/v-generate-password-hash $method $salt <<< $password)
 if [[ -z "$hash" ]]; then
     echo "Error: password missmatch"

+ 5 - 0
bin/v-generate-password-hash

@@ -37,5 +37,10 @@ if ($crypt == 'htpasswd' ) {
     $hash = crypt($password, base64_encode($password));
 }
 
+// Generating DES hash
+if ($crypt == 'des' ) {
+    $hash = crypt($password, $salt);
+}
+
 // Printing result
 echo $hash . "\n";

+ 1 - 1
bin/v-list-sys-vesta-autoupdate

@@ -1,6 +1,6 @@
 #!/bin/bash
 # info: list vesta autoupdate settings
-# options: NONE
+# options: [FORMAT]
 #
 # The function for obtaining autoupdate setings.
 

+ 13 - 19
bin/v-update-firewall

@@ -64,6 +64,19 @@ tmp=$(mktemp)
 echo "$iptables -P INPUT ACCEPT" >> $tmp
 echo "$iptables -F INPUT" >> $tmp
 
+# Enabling stateful support
+if [ "$conntrack" != 'no' ]; then
+    str="$iptables -A INPUT -m state"
+    str="$str --state ESTABLISHED,RELATED -j ACCEPT"
+    echo "$str" >> $tmp
+fi
+
+# Handling local traffic
+for ip in $(ls $VESTA/data/ips); do
+    echo "$iptables -A INPUT -s $ip -j ACCEPT" >> $tmp
+done
+echo "$iptables -A INPUT -s 127.0.0.1 -j ACCEPT" >> $tmp
+
 # Pasring iptables rules
 IFS=$'\n'
 for line in $(sort -r -n -k 2 -t \' $rules); do
@@ -100,25 +113,6 @@ for line in $(sort -r -n -k 2 -t \' $rules); do
     fi
 done
 
-# Handling local traffic
-for ip in $(ls $VESTA/data/ips); do
-    echo "$iptables -A INPUT -s $ip -j ACCEPT" >> $tmp
-done
-echo "$iptables -A INPUT -s 127.0.0.1 -j ACCEPT" >> $tmp
-IFS=$'\n'
-for p_rule in $(cat $ports); do
-    eval $p_rule
-    rule="$iptables -A INPUT -p $PROTOCOL"
-    echo "$rule --sport $PORT -j ACCEPT" >> $tmp
-done
-
-# Enabling stateful support
-if [ "$conntrack" != 'no' ]; then
-    str="$iptables -A INPUT -p tcp -m state"
-    str="$str --state ESTABLISHED,RELATED -j ACCEPT"
-    echo "$str" >> $tmp
-fi
-
 # Switching chain policy to DROP
 echo "$iptables -P INPUT DROP" >> $tmp
 

+ 1 - 1
install/debian/7/exim/exim4.conf.template

@@ -227,7 +227,7 @@ procmail:
 autoreplay:
   driver = accept
   require_files = /etc/exim4/domains/$domain/autoreply.${local_part}.msg
-  condition = ${if exists{/etc/exim4/domains/$domain/autoreply.${local_part}.msg}}{yes}{no}}
+  condition = ${if exists{/etc/exim4/domains/$domain/autoreply.${local_part}.msg}{yes}{no}}
   retry_use_local_part
   transport = userautoreply
   unseen

+ 64 - 0
install/debian/7/templates/web/nginx/php5-fpm/modx.stpl

@@ -0,0 +1,64 @@
+server {
+    listen      %ip%:%web_ssl_port%;
+    server_name %domain_idn% %alias_idn%;
+    root        %docroot%;
+    index       index.php index.html index.htm;
+    access_log  /var/log/nginx/domains/%domain%.log combined;
+    access_log  /var/log/nginx/domains/%domain%.bytes bytes;
+    error_log   /var/log/nginx/domains/%domain%.error.log error;
+
+    ssl         on;
+    ssl_certificate      %ssl_pem%;
+    ssl_certificate_key  %ssl_key%;
+#   if you need to rewrite www to non-www uncomment bellow
+#   if ($host != '%domain%' ) {
+#       rewrite      ^/(.*)$  https://%domain%/$1  permanent;
+#    }
+    location = /favicon.ico {
+        log_not_found off;
+        access_log off;
+    }
+
+    location = /robots.txt {
+        allow all;
+        log_not_found off;
+        access_log off;
+    }
+
+    location / {
+        try_files $uri $uri/ @rewrite;
+        location ~* ^.+\.(jpeg|jpg|png|gif|bmp|ico|svg|css|js)$ {
+            expires     max;
+        }
+    }
+    location @rewrite {
+        rewrite ^/(.*)$ /index.php?q=$1;
+    }
+
+	location ~ \.php$ {
+        	try_files $uri =404;
+            fastcgi_pass %backend_lsnr%;
+            fastcgi_index index.php;
+		    fastcgi_param SCRIPT_FILENAME $request_filename;
+            include /etc/nginx/fastcgi_params;
+        }
+
+    error_page  403 /error/404.html;
+    error_page  404 /error/404.html;
+    error_page  500 502 503 504 /error/50x.html;
+
+    location /error/ {
+        alias   %home%/%user%/web/%domain%/document_errors/;
+    }
+
+    location ~* "/\.(htaccess|htpasswd)$" {
+        deny    all;
+        return  404;
+    }
+
+    include     /etc/nginx/conf.d/phpmyadmin.inc*;
+    include     /etc/nginx/conf.d/phppgadmin.inc*;
+    include     /etc/nginx/conf.d/webmail.inc*;
+
+    include     %home%/%user%/conf/web/nginx.%domain%.conf*;
+}

+ 60 - 0
install/debian/7/templates/web/nginx/php5-fpm/modx.tpl

@@ -0,0 +1,60 @@
+server {
+    listen      %ip%:%web_port%;
+    server_name %domain_idn% %alias_idn%;
+    root        %docroot%;
+    index       index.php index.html index.htm;
+    access_log  /var/log/nginx/domains/%domain%.log combined;
+    access_log  /var/log/nginx/domains/%domain%.bytes bytes;
+    error_log   /var/log/nginx/domains/%domain%.error.log error;
+#   if you need to rewrite www to non-www uncomment bellow
+#   if ($host != '%domain%' ) {
+#       rewrite      ^/(.*)$  http://%domain%/$1  permanent;
+#    }
+    location = /favicon.ico {
+        log_not_found off;
+        access_log off;
+    }
+
+    location = /robots.txt {
+        allow all;
+        log_not_found off;
+        access_log off;
+    }
+
+    location / {
+        try_files $uri $uri/ @rewrite;
+        location ~* ^.+\.(jpeg|jpg|png|gif|bmp|ico|svg|css|js)$ {
+            expires     max;
+        }
+    }
+    location @rewrite {
+        rewrite ^/(.*)$ /index.php?q=$1;
+    }
+
+    location ~ \.php$ {
+        try_files $uri =404;
+        fastcgi_pass %backend_lsnr%;
+        fastcgi_index index.php;
+        fastcgi_param SCRIPT_FILENAME $request_filename;
+        include /etc/nginx/fastcgi_params;
+    }
+
+    error_page  403 /error/404.html;
+    error_page  404 /error/404.html;
+    error_page  500 502 503 504 /error/50x.html;
+
+    location /error/ {
+        alias   %home%/%user%/web/%domain%/document_errors/;
+    }
+
+    location ~* "/\.(htaccess|htpasswd)$" {
+        deny    all;
+        return  404;
+    }
+
+    include     /etc/nginx/conf.d/phpmyadmin.inc*;
+    include     /etc/nginx/conf.d/phppgadmin.inc*;
+    include     /etc/nginx/conf.d/webmail.inc*;
+
+    include     %home%/%user%/conf/web/nginx.%domain%.conf*;
+}

+ 11 - 11
install/debian/7/templates/web/php5-fpm/no-php.tpl

@@ -1,13 +1,13 @@
-#[%backend%]
-#user = %user%
-#group = %user%
-#listen = /dev/null
+;[%backend%]
+;user = %user%
+;group = %user%
+;listen = /dev/null
 
-#listen.owner = %user%
-#listen.group = nginx
+;listen.owner = %user%
+;listen.group = nginx
 
-#pm = dynamic
-#pm.max_children = 50
-#pm.start_servers = 3
-#pm.min_spare_servers = 2
-#pm.max_spare_servers = 10
+;pm = dynamic
+;pm.max_children = 50
+;pm.start_servers = 3
+;pm.min_spare_servers = 2
+;pm.max_spare_servers = 10

+ 1 - 1
install/debian/8/exim/exim4.conf.template

@@ -227,7 +227,7 @@ procmail:
 autoreplay:
   driver = accept
   require_files = /etc/exim4/domains/$domain/autoreply.${local_part}.msg
-  condition = ${if exists{/etc/exim4/domains/$domain/autoreply.${local_part}.msg}}{yes}{no}}
+  condition = ${if exists{/etc/exim4/domains/$domain/autoreply.${local_part}.msg}{yes}{no}}
   retry_use_local_part
   transport = userautoreply
   unseen

+ 64 - 0
install/debian/8/templates/web/nginx/php5-fpm/modx.stpl

@@ -0,0 +1,64 @@
+server {
+    listen      %ip%:%web_ssl_port%;
+    server_name %domain_idn% %alias_idn%;
+    root        %docroot%;
+    index       index.php index.html index.htm;
+    access_log  /var/log/nginx/domains/%domain%.log combined;
+    access_log  /var/log/nginx/domains/%domain%.bytes bytes;
+    error_log   /var/log/nginx/domains/%domain%.error.log error;
+
+    ssl         on;
+    ssl_certificate      %ssl_pem%;
+    ssl_certificate_key  %ssl_key%;
+#   if you need to rewrite www to non-www uncomment bellow
+#   if ($host != '%domain%' ) {
+#       rewrite      ^/(.*)$  https://%domain%/$1  permanent;
+#    }
+    location = /favicon.ico {
+        log_not_found off;
+        access_log off;
+    }
+
+    location = /robots.txt {
+        allow all;
+        log_not_found off;
+        access_log off;
+    }
+
+    location / {
+        try_files $uri $uri/ @rewrite;
+        location ~* ^.+\.(jpeg|jpg|png|gif|bmp|ico|svg|css|js)$ {
+            expires     max;
+        }
+    }
+    location @rewrite {
+        rewrite ^/(.*)$ /index.php?q=$1;
+    }
+
+	location ~ \.php$ {
+        	try_files $uri =404;
+            fastcgi_pass %backend_lsnr%;
+            fastcgi_index index.php;
+		    fastcgi_param SCRIPT_FILENAME $request_filename;
+            include /etc/nginx/fastcgi_params;
+        }
+
+    error_page  403 /error/404.html;
+    error_page  404 /error/404.html;
+    error_page  500 502 503 504 /error/50x.html;
+
+    location /error/ {
+        alias   %home%/%user%/web/%domain%/document_errors/;
+    }
+
+    location ~* "/\.(htaccess|htpasswd)$" {
+        deny    all;
+        return  404;
+    }
+
+    include     /etc/nginx/conf.d/phpmyadmin.inc*;
+    include     /etc/nginx/conf.d/phppgadmin.inc*;
+    include     /etc/nginx/conf.d/webmail.inc*;
+
+    include     %home%/%user%/conf/web/nginx.%domain%.conf*;
+}

+ 60 - 0
install/debian/8/templates/web/nginx/php5-fpm/modx.tpl

@@ -0,0 +1,60 @@
+server {
+    listen      %ip%:%web_port%;
+    server_name %domain_idn% %alias_idn%;
+    root        %docroot%;
+    index       index.php index.html index.htm;
+    access_log  /var/log/nginx/domains/%domain%.log combined;
+    access_log  /var/log/nginx/domains/%domain%.bytes bytes;
+    error_log   /var/log/nginx/domains/%domain%.error.log error;
+#   if you need to rewrite www to non-www uncomment bellow
+#   if ($host != '%domain%' ) {
+#       rewrite      ^/(.*)$  http://%domain%/$1  permanent;
+#    }
+    location = /favicon.ico {
+        log_not_found off;
+        access_log off;
+    }
+
+    location = /robots.txt {
+        allow all;
+        log_not_found off;
+        access_log off;
+    }
+
+    location / {
+        try_files $uri $uri/ @rewrite;
+        location ~* ^.+\.(jpeg|jpg|png|gif|bmp|ico|svg|css|js)$ {
+            expires     max;
+        }
+    }
+    location @rewrite {
+        rewrite ^/(.*)$ /index.php?q=$1;
+    }
+
+    location ~ \.php$ {
+        try_files $uri =404;
+        fastcgi_pass %backend_lsnr%;
+        fastcgi_index index.php;
+        fastcgi_param SCRIPT_FILENAME $request_filename;
+        include /etc/nginx/fastcgi_params;
+    }
+
+    error_page  403 /error/404.html;
+    error_page  404 /error/404.html;
+    error_page  500 502 503 504 /error/50x.html;
+
+    location /error/ {
+        alias   %home%/%user%/web/%domain%/document_errors/;
+    }
+
+    location ~* "/\.(htaccess|htpasswd)$" {
+        deny    all;
+        return  404;
+    }
+
+    include     /etc/nginx/conf.d/phpmyadmin.inc*;
+    include     /etc/nginx/conf.d/phppgadmin.inc*;
+    include     /etc/nginx/conf.d/webmail.inc*;
+
+    include     %home%/%user%/conf/web/nginx.%domain%.conf*;
+}

+ 11 - 11
install/debian/8/templates/web/php5-fpm/no-php.tpl

@@ -1,13 +1,13 @@
-#[%backend%]
-#user = %user%
-#group = %user%
-#listen = /dev/null
+;[%backend%]
+;user = %user%
+;group = %user%
+;listen = /dev/null
 
-#listen.owner = %user%
-#listen.group = nginx
+;listen.owner = %user%
+;listen.group = nginx
 
-#pm = dynamic
-#pm.max_children = 50
-#pm.start_servers = 3
-#pm.min_spare_servers = 2
-#pm.max_spare_servers = 10
+;pm = dynamic
+;pm.max_children = 50
+;pm.start_servers = 3
+;pm.min_spare_servers = 2
+;pm.max_spare_servers = 10

+ 1 - 1
install/rhel/5/exim/exim.conf

@@ -227,7 +227,7 @@ procmail:
 autoreplay:
   driver = accept
   require_files = /etc/exim/domains/$domain/autoreply.${local_part}.msg
-  condition = ${if exists{/etc/exim/domains/$domain/autoreply.${local_part}.msg}}{yes}{no}}
+  condition = ${if exists{/etc/exim/domains/$domain/autoreply.${local_part}.msg}{yes}{no}}
   retry_use_local_part
   transport = userautoreply
   unseen

+ 64 - 0
install/rhel/5/templates/web/nginx/php-fpm/modx.stpl

@@ -0,0 +1,64 @@
+server {
+    listen      %ip%:%web_ssl_port%;
+    server_name %domain_idn% %alias_idn%;
+    root        %docroot%;
+    index       index.php index.html index.htm;
+    access_log  /var/log/nginx/domains/%domain%.log combined;
+    access_log  /var/log/nginx/domains/%domain%.bytes bytes;
+    error_log   /var/log/nginx/domains/%domain%.error.log error;
+
+    ssl         on;
+    ssl_certificate      %ssl_pem%;
+    ssl_certificate_key  %ssl_key%;
+#   if you need to rewrite www to non-www uncomment bellow
+#   if ($host != '%domain%' ) {
+#       rewrite      ^/(.*)$  https://%domain%/$1  permanent;
+#    }
+    location = /favicon.ico {
+        log_not_found off;
+        access_log off;
+    }
+
+    location = /robots.txt {
+        allow all;
+        log_not_found off;
+        access_log off;
+    }
+
+    location / {
+        try_files $uri $uri/ @rewrite;
+        location ~* ^.+\.(jpeg|jpg|png|gif|bmp|ico|svg|css|js)$ {
+            expires     max;
+        }
+    }
+    location @rewrite {
+        rewrite ^/(.*)$ /index.php?q=$1;
+    }
+
+	location ~ \.php$ {
+        	try_files $uri =404;
+            fastcgi_pass %backend_lsnr%;
+            fastcgi_index index.php;
+		    fastcgi_param SCRIPT_FILENAME $request_filename;
+            include /etc/nginx/fastcgi_params;
+        }
+
+    error_page  403 /error/404.html;
+    error_page  404 /error/404.html;
+    error_page  500 502 503 504 /error/50x.html;
+
+    location /error/ {
+        alias   %home%/%user%/web/%domain%/document_errors/;
+    }
+
+    location ~* "/\.(htaccess|htpasswd)$" {
+        deny    all;
+        return  404;
+    }
+
+    include     /etc/nginx/conf.d/phpmyadmin.inc*;
+    include     /etc/nginx/conf.d/phppgadmin.inc*;
+    include     /etc/nginx/conf.d/webmail.inc*;
+
+    include     %home%/%user%/conf/web/nginx.%domain%.conf*;
+}

+ 60 - 0
install/rhel/5/templates/web/nginx/php-fpm/modx.tpl

@@ -0,0 +1,60 @@
+server {
+    listen      %ip%:%web_port%;
+    server_name %domain_idn% %alias_idn%;
+    root        %docroot%;
+    index       index.php index.html index.htm;
+    access_log  /var/log/nginx/domains/%domain%.log combined;
+    access_log  /var/log/nginx/domains/%domain%.bytes bytes;
+    error_log   /var/log/nginx/domains/%domain%.error.log error;
+#   if you need to rewrite www to non-www uncomment bellow
+#   if ($host != '%domain%' ) {
+#       rewrite      ^/(.*)$  http://%domain%/$1  permanent;
+#    }
+    location = /favicon.ico {
+        log_not_found off;
+        access_log off;
+    }
+
+    location = /robots.txt {
+        allow all;
+        log_not_found off;
+        access_log off;
+    }
+
+    location / {
+        try_files $uri $uri/ @rewrite;
+        location ~* ^.+\.(jpeg|jpg|png|gif|bmp|ico|svg|css|js)$ {
+            expires     max;
+        }
+    }
+    location @rewrite {
+        rewrite ^/(.*)$ /index.php?q=$1;
+    }
+
+    location ~ \.php$ {
+        try_files $uri =404;
+        fastcgi_pass %backend_lsnr%;
+        fastcgi_index index.php;
+        fastcgi_param SCRIPT_FILENAME $request_filename;
+        include /etc/nginx/fastcgi_params;
+    }
+
+    error_page  403 /error/404.html;
+    error_page  404 /error/404.html;
+    error_page  500 502 503 504 /error/50x.html;
+
+    location /error/ {
+        alias   %home%/%user%/web/%domain%/document_errors/;
+    }
+
+    location ~* "/\.(htaccess|htpasswd)$" {
+        deny    all;
+        return  404;
+    }
+
+    include     /etc/nginx/conf.d/phpmyadmin.inc*;
+    include     /etc/nginx/conf.d/phppgadmin.inc*;
+    include     /etc/nginx/conf.d/webmail.inc*;
+
+    include     %home%/%user%/conf/web/nginx.%domain%.conf*;
+}

+ 11 - 11
install/rhel/5/templates/web/php-fpm/no-php.tpl

@@ -1,13 +1,13 @@
-#[%backend%]
-#user = %user%
-#group = %user%
-#listen = /dev/null
+;[%backend%]
+;user = %user%
+;group = %user%
+;listen = /dev/null
 
-#listen.owner = %user%
-#listen.group = nginx
+;listen.owner = %user%
+;listen.group = nginx
 
-#pm = dynamic
-#pm.max_children = 50
-#pm.start_servers = 3
-#pm.min_spare_servers = 2
-#pm.max_spare_servers = 10
+;pm = dynamic
+;pm.max_children = 50
+;pm.start_servers = 3
+;pm.min_spare_servers = 2
+;pm.max_spare_servers = 10

+ 1 - 1
install/rhel/6/exim/exim.conf

@@ -227,7 +227,7 @@ procmail:
 autoreplay:
   driver = accept
   require_files = /etc/exim/domains/$domain/autoreply.${local_part}.msg
-  condition = ${if exists{/etc/exim/domains/$domain/autoreply.${local_part}.msg}}{yes}{no}}
+  condition = ${if exists{/etc/exim/domains/$domain/autoreply.${local_part}.msg}{yes}{no}}
   retry_use_local_part
   transport = userautoreply
   unseen

+ 64 - 0
install/rhel/6/templates/web/nginx/php-fpm/modx.stpl

@@ -0,0 +1,64 @@
+server {
+    listen      %ip%:%web_ssl_port%;
+    server_name %domain_idn% %alias_idn%;
+    root        %docroot%;
+    index       index.php index.html index.htm;
+    access_log  /var/log/nginx/domains/%domain%.log combined;
+    access_log  /var/log/nginx/domains/%domain%.bytes bytes;
+    error_log   /var/log/nginx/domains/%domain%.error.log error;
+
+    ssl         on;
+    ssl_certificate      %ssl_pem%;
+    ssl_certificate_key  %ssl_key%;
+#   if you need to rewrite www to non-www uncomment bellow
+#   if ($host != '%domain%' ) {
+#       rewrite      ^/(.*)$  https://%domain%/$1  permanent;
+#    }
+    location = /favicon.ico {
+        log_not_found off;
+        access_log off;
+    }
+
+    location = /robots.txt {
+        allow all;
+        log_not_found off;
+        access_log off;
+    }
+
+    location / {
+        try_files $uri $uri/ @rewrite;
+        location ~* ^.+\.(jpeg|jpg|png|gif|bmp|ico|svg|css|js)$ {
+            expires     max;
+        }
+    }
+    location @rewrite {
+        rewrite ^/(.*)$ /index.php?q=$1;
+    }
+
+	location ~ \.php$ {
+        	try_files $uri =404;
+            fastcgi_pass %backend_lsnr%;
+            fastcgi_index index.php;
+		    fastcgi_param SCRIPT_FILENAME $request_filename;
+            include /etc/nginx/fastcgi_params;
+        }
+
+    error_page  403 /error/404.html;
+    error_page  404 /error/404.html;
+    error_page  500 502 503 504 /error/50x.html;
+
+    location /error/ {
+        alias   %home%/%user%/web/%domain%/document_errors/;
+    }
+
+    location ~* "/\.(htaccess|htpasswd)$" {
+        deny    all;
+        return  404;
+    }
+
+    include     /etc/nginx/conf.d/phpmyadmin.inc*;
+    include     /etc/nginx/conf.d/phppgadmin.inc*;
+    include     /etc/nginx/conf.d/webmail.inc*;
+
+    include     %home%/%user%/conf/web/nginx.%domain%.conf*;
+}

+ 60 - 0
install/rhel/6/templates/web/nginx/php-fpm/modx.tpl

@@ -0,0 +1,60 @@
+server {
+    listen      %ip%:%web_port%;
+    server_name %domain_idn% %alias_idn%;
+    root        %docroot%;
+    index       index.php index.html index.htm;
+    access_log  /var/log/nginx/domains/%domain%.log combined;
+    access_log  /var/log/nginx/domains/%domain%.bytes bytes;
+    error_log   /var/log/nginx/domains/%domain%.error.log error;
+#   if you need to rewrite www to non-www uncomment bellow
+#   if ($host != '%domain%' ) {
+#       rewrite      ^/(.*)$  http://%domain%/$1  permanent;
+#    }
+    location = /favicon.ico {
+        log_not_found off;
+        access_log off;
+    }
+
+    location = /robots.txt {
+        allow all;
+        log_not_found off;
+        access_log off;
+    }
+
+    location / {
+        try_files $uri $uri/ @rewrite;
+        location ~* ^.+\.(jpeg|jpg|png|gif|bmp|ico|svg|css|js)$ {
+            expires     max;
+        }
+    }
+    location @rewrite {
+        rewrite ^/(.*)$ /index.php?q=$1;
+    }
+
+    location ~ \.php$ {
+        try_files $uri =404;
+        fastcgi_pass %backend_lsnr%;
+        fastcgi_index index.php;
+        fastcgi_param SCRIPT_FILENAME $request_filename;
+        include /etc/nginx/fastcgi_params;
+    }
+
+    error_page  403 /error/404.html;
+    error_page  404 /error/404.html;
+    error_page  500 502 503 504 /error/50x.html;
+
+    location /error/ {
+        alias   %home%/%user%/web/%domain%/document_errors/;
+    }
+
+    location ~* "/\.(htaccess|htpasswd)$" {
+        deny    all;
+        return  404;
+    }
+
+    include     /etc/nginx/conf.d/phpmyadmin.inc*;
+    include     /etc/nginx/conf.d/phppgadmin.inc*;
+    include     /etc/nginx/conf.d/webmail.inc*;
+
+    include     %home%/%user%/conf/web/nginx.%domain%.conf*;
+}

+ 11 - 11
install/rhel/6/templates/web/php-fpm/no-php.tpl

@@ -1,13 +1,13 @@
-#[%backend%]
-#user = %user%
-#group = %user%
-#listen = /dev/null
+;[%backend%]
+;user = %user%
+;group = %user%
+;listen = /dev/null
 
-#listen.owner = %user%
-#listen.group = nginx
+;listen.owner = %user%
+;listen.group = nginx
 
-#pm = dynamic
-#pm.max_children = 50
-#pm.start_servers = 3
-#pm.min_spare_servers = 2
-#pm.max_spare_servers = 10
+;pm = dynamic
+;pm.max_children = 50
+;pm.start_servers = 3
+;pm.min_spare_servers = 2
+;pm.max_spare_servers = 10

+ 1 - 1
install/rhel/7/exim/exim.conf

@@ -227,7 +227,7 @@ procmail:
 autoreplay:
   driver = accept
   require_files = /etc/exim/domains/$domain/autoreply.${local_part}.msg
-  condition = ${if exists{/etc/exim/domains/$domain/autoreply.${local_part}.msg}}{yes}{no}}
+  condition = ${if exists{/etc/exim/domains/$domain/autoreply.${local_part}.msg}{yes}{no}}
   retry_use_local_part
   transport = userautoreply
   unseen

+ 64 - 0
install/rhel/7/templates/web/nginx/php-fpm/modx.stpl

@@ -0,0 +1,64 @@
+server {
+    listen      %ip%:%web_ssl_port%;
+    server_name %domain_idn% %alias_idn%;
+    root        %docroot%;
+    index       index.php index.html index.htm;
+    access_log  /var/log/nginx/domains/%domain%.log combined;
+    access_log  /var/log/nginx/domains/%domain%.bytes bytes;
+    error_log   /var/log/nginx/domains/%domain%.error.log error;
+
+    ssl         on;
+    ssl_certificate      %ssl_pem%;
+    ssl_certificate_key  %ssl_key%;
+#   if you need to rewrite www to non-www uncomment bellow
+#   if ($host != '%domain%' ) {
+#       rewrite      ^/(.*)$  https://%domain%/$1  permanent;
+#    }
+    location = /favicon.ico {
+        log_not_found off;
+        access_log off;
+    }
+
+    location = /robots.txt {
+        allow all;
+        log_not_found off;
+        access_log off;
+    }
+
+    location / {
+        try_files $uri $uri/ @rewrite;
+        location ~* ^.+\.(jpeg|jpg|png|gif|bmp|ico|svg|css|js)$ {
+            expires     max;
+        }
+    }
+    location @rewrite {
+        rewrite ^/(.*)$ /index.php?q=$1;
+    }
+
+	location ~ \.php$ {
+        	try_files $uri =404;
+            fastcgi_pass %backend_lsnr%;
+            fastcgi_index index.php;
+		    fastcgi_param SCRIPT_FILENAME $request_filename;
+            include /etc/nginx/fastcgi_params;
+        }
+
+    error_page  403 /error/404.html;
+    error_page  404 /error/404.html;
+    error_page  500 502 503 504 /error/50x.html;
+
+    location /error/ {
+        alias   %home%/%user%/web/%domain%/document_errors/;
+    }
+
+    location ~* "/\.(htaccess|htpasswd)$" {
+        deny    all;
+        return  404;
+    }
+
+    include     /etc/nginx/conf.d/phpmyadmin.inc*;
+    include     /etc/nginx/conf.d/phppgadmin.inc*;
+    include     /etc/nginx/conf.d/webmail.inc*;
+
+    include     %home%/%user%/conf/web/nginx.%domain%.conf*;
+}

+ 60 - 0
install/rhel/7/templates/web/nginx/php-fpm/modx.tpl

@@ -0,0 +1,60 @@
+server {
+    listen      %ip%:%web_port%;
+    server_name %domain_idn% %alias_idn%;
+    root        %docroot%;
+    index       index.php index.html index.htm;
+    access_log  /var/log/nginx/domains/%domain%.log combined;
+    access_log  /var/log/nginx/domains/%domain%.bytes bytes;
+    error_log   /var/log/nginx/domains/%domain%.error.log error;
+#   if you need to rewrite www to non-www uncomment bellow
+#   if ($host != '%domain%' ) {
+#       rewrite      ^/(.*)$  http://%domain%/$1  permanent;
+#    }
+    location = /favicon.ico {
+        log_not_found off;
+        access_log off;
+    }
+
+    location = /robots.txt {
+        allow all;
+        log_not_found off;
+        access_log off;
+    }
+
+    location / {
+        try_files $uri $uri/ @rewrite;
+        location ~* ^.+\.(jpeg|jpg|png|gif|bmp|ico|svg|css|js)$ {
+            expires     max;
+        }
+    }
+    location @rewrite {
+        rewrite ^/(.*)$ /index.php?q=$1;
+    }
+
+    location ~ \.php$ {
+        try_files $uri =404;
+        fastcgi_pass %backend_lsnr%;
+        fastcgi_index index.php;
+        fastcgi_param SCRIPT_FILENAME $request_filename;
+        include /etc/nginx/fastcgi_params;
+    }
+
+    error_page  403 /error/404.html;
+    error_page  404 /error/404.html;
+    error_page  500 502 503 504 /error/50x.html;
+
+    location /error/ {
+        alias   %home%/%user%/web/%domain%/document_errors/;
+    }
+
+    location ~* "/\.(htaccess|htpasswd)$" {
+        deny    all;
+        return  404;
+    }
+
+    include     /etc/nginx/conf.d/phpmyadmin.inc*;
+    include     /etc/nginx/conf.d/phppgadmin.inc*;
+    include     /etc/nginx/conf.d/webmail.inc*;
+
+    include     %home%/%user%/conf/web/nginx.%domain%.conf*;
+}

+ 11 - 11
install/rhel/7/templates/web/php-fpm/no-php.tpl

@@ -1,13 +1,13 @@
-#[%backend%]
-#user = %user%
-#group = %user%
-#listen = /dev/null
+;[%backend%]
+;user = %user%
+;group = %user%
+;listen = /dev/null
 
-#listen.owner = %user%
-#listen.group = nginx
+;listen.owner = %user%
+;listen.group = nginx
 
-#pm = dynamic
-#pm.max_children = 50
-#pm.start_servers = 3
-#pm.min_spare_servers = 2
-#pm.max_spare_servers = 10
+;pm = dynamic
+;pm.max_children = 50
+;pm.start_servers = 3
+;pm.min_spare_servers = 2
+;pm.max_spare_servers = 10

+ 1 - 1
install/ubuntu/12.04/exim/exim4.conf.template

@@ -227,7 +227,7 @@ procmail:
 autoreplay:
   driver = accept
   require_files = /etc/exim4/domains/$domain/autoreply.${local_part}.msg
-  condition = ${if exists{/etc/exim4/domains/$domain/autoreply.${local_part}.msg}}{yes}{no}}
+  condition = ${if exists{/etc/exim4/domains/$domain/autoreply.${local_part}.msg}{yes}{no}}
   retry_use_local_part
   transport = userautoreply
   unseen

+ 64 - 0
install/ubuntu/12.04/templates/web/nginx/php5-fpm/modx.stpl

@@ -0,0 +1,64 @@
+server {
+    listen      %ip%:%web_ssl_port%;
+    server_name %domain_idn% %alias_idn%;
+    root        %docroot%;
+    index       index.php index.html index.htm;
+    access_log  /var/log/nginx/domains/%domain%.log combined;
+    access_log  /var/log/nginx/domains/%domain%.bytes bytes;
+    error_log   /var/log/nginx/domains/%domain%.error.log error;
+
+    ssl         on;
+    ssl_certificate      %ssl_pem%;
+    ssl_certificate_key  %ssl_key%;
+#   if you need to rewrite www to non-www uncomment bellow
+#   if ($host != '%domain%' ) {
+#       rewrite      ^/(.*)$  https://%domain%/$1  permanent;
+#    }
+    location = /favicon.ico {
+        log_not_found off;
+        access_log off;
+    }
+
+    location = /robots.txt {
+        allow all;
+        log_not_found off;
+        access_log off;
+    }
+
+    location / {
+        try_files $uri $uri/ @rewrite;
+        location ~* ^.+\.(jpeg|jpg|png|gif|bmp|ico|svg|css|js)$ {
+            expires     max;
+        }
+    }
+    location @rewrite {
+        rewrite ^/(.*)$ /index.php?q=$1;
+    }
+
+	location ~ \.php$ {
+        	try_files $uri =404;
+            fastcgi_pass %backend_lsnr%;
+            fastcgi_index index.php;
+		    fastcgi_param SCRIPT_FILENAME $request_filename;
+            include /etc/nginx/fastcgi_params;
+        }
+
+    error_page  403 /error/404.html;
+    error_page  404 /error/404.html;
+    error_page  500 502 503 504 /error/50x.html;
+
+    location /error/ {
+        alias   %home%/%user%/web/%domain%/document_errors/;
+    }
+
+    location ~* "/\.(htaccess|htpasswd)$" {
+        deny    all;
+        return  404;
+    }
+
+    include     /etc/nginx/conf.d/phpmyadmin.inc*;
+    include     /etc/nginx/conf.d/phppgadmin.inc*;
+    include     /etc/nginx/conf.d/webmail.inc*;
+
+    include     %home%/%user%/conf/web/nginx.%domain%.conf*;
+}

+ 60 - 0
install/ubuntu/12.04/templates/web/nginx/php5-fpm/modx.tpl

@@ -0,0 +1,60 @@
+server {
+    listen      %ip%:%web_port%;
+    server_name %domain_idn% %alias_idn%;
+    root        %docroot%;
+    index       index.php index.html index.htm;
+    access_log  /var/log/nginx/domains/%domain%.log combined;
+    access_log  /var/log/nginx/domains/%domain%.bytes bytes;
+    error_log   /var/log/nginx/domains/%domain%.error.log error;
+#   if you need to rewrite www to non-www uncomment bellow
+#   if ($host != '%domain%' ) {
+#       rewrite      ^/(.*)$  http://%domain%/$1  permanent;
+#    }
+    location = /favicon.ico {
+        log_not_found off;
+        access_log off;
+    }
+
+    location = /robots.txt {
+        allow all;
+        log_not_found off;
+        access_log off;
+    }
+
+    location / {
+        try_files $uri $uri/ @rewrite;
+        location ~* ^.+\.(jpeg|jpg|png|gif|bmp|ico|svg|css|js)$ {
+            expires     max;
+        }
+    }
+    location @rewrite {
+        rewrite ^/(.*)$ /index.php?q=$1;
+    }
+
+    location ~ \.php$ {
+        try_files $uri =404;
+        fastcgi_pass %backend_lsnr%;
+        fastcgi_index index.php;
+        fastcgi_param SCRIPT_FILENAME $request_filename;
+        include /etc/nginx/fastcgi_params;
+    }
+
+    error_page  403 /error/404.html;
+    error_page  404 /error/404.html;
+    error_page  500 502 503 504 /error/50x.html;
+
+    location /error/ {
+        alias   %home%/%user%/web/%domain%/document_errors/;
+    }
+
+    location ~* "/\.(htaccess|htpasswd)$" {
+        deny    all;
+        return  404;
+    }
+
+    include     /etc/nginx/conf.d/phpmyadmin.inc*;
+    include     /etc/nginx/conf.d/phppgadmin.inc*;
+    include     /etc/nginx/conf.d/webmail.inc*;
+
+    include     %home%/%user%/conf/web/nginx.%domain%.conf*;
+}

+ 11 - 11
install/ubuntu/12.04/templates/web/php5-fpm/no-php.tpl

@@ -1,13 +1,13 @@
-#[%backend%]
-#user = %user%
-#group = %user%
-#listen = /dev/null
+;[%backend%]
+;user = %user%
+;group = %user%
+;listen = /dev/null
 
-#listen.owner = %user%
-#listen.group = nginx
+;listen.owner = %user%
+;listen.group = nginx
 
-#pm = dynamic
-#pm.max_children = 50
-#pm.start_servers = 3
-#pm.min_spare_servers = 2
-#pm.max_spare_servers = 10
+;pm = dynamic
+;pm.max_children = 50
+;pm.start_servers = 3
+;pm.min_spare_servers = 2
+;pm.max_spare_servers = 10

+ 1 - 1
install/ubuntu/12.10/exim/exim4.conf.template

@@ -227,7 +227,7 @@ procmail:
 autoreplay:
   driver = accept
   require_files = /etc/exim4/domains/$domain/autoreply.${local_part}.msg
-  condition = ${if exists{/etc/exim4/domains/$domain/autoreply.${local_part}.msg}}{yes}{no}}
+  condition = ${if exists{/etc/exim4/domains/$domain/autoreply.${local_part}.msg}{yes}{no}}
   retry_use_local_part
   transport = userautoreply
   unseen

+ 64 - 0
install/ubuntu/12.10/templates/web/nginx/php5-fpm/modx.stpl

@@ -0,0 +1,64 @@
+server {
+    listen      %ip%:%web_ssl_port%;
+    server_name %domain_idn% %alias_idn%;
+    root        %docroot%;
+    index       index.php index.html index.htm;
+    access_log  /var/log/nginx/domains/%domain%.log combined;
+    access_log  /var/log/nginx/domains/%domain%.bytes bytes;
+    error_log   /var/log/nginx/domains/%domain%.error.log error;
+
+    ssl         on;
+    ssl_certificate      %ssl_pem%;
+    ssl_certificate_key  %ssl_key%;
+#   if you need to rewrite www to non-www uncomment bellow
+#   if ($host != '%domain%' ) {
+#       rewrite      ^/(.*)$  https://%domain%/$1  permanent;
+#    }
+    location = /favicon.ico {
+        log_not_found off;
+        access_log off;
+    }
+
+    location = /robots.txt {
+        allow all;
+        log_not_found off;
+        access_log off;
+    }
+
+    location / {
+        try_files $uri $uri/ @rewrite;
+        location ~* ^.+\.(jpeg|jpg|png|gif|bmp|ico|svg|css|js)$ {
+            expires     max;
+        }
+    }
+    location @rewrite {
+        rewrite ^/(.*)$ /index.php?q=$1;
+    }
+
+	location ~ \.php$ {
+        	try_files $uri =404;
+            fastcgi_pass %backend_lsnr%;
+            fastcgi_index index.php;
+		    fastcgi_param SCRIPT_FILENAME $request_filename;
+            include /etc/nginx/fastcgi_params;
+        }
+
+    error_page  403 /error/404.html;
+    error_page  404 /error/404.html;
+    error_page  500 502 503 504 /error/50x.html;
+
+    location /error/ {
+        alias   %home%/%user%/web/%domain%/document_errors/;
+    }
+
+    location ~* "/\.(htaccess|htpasswd)$" {
+        deny    all;
+        return  404;
+    }
+
+    include     /etc/nginx/conf.d/phpmyadmin.inc*;
+    include     /etc/nginx/conf.d/phppgadmin.inc*;
+    include     /etc/nginx/conf.d/webmail.inc*;
+
+    include     %home%/%user%/conf/web/nginx.%domain%.conf*;
+}

+ 60 - 0
install/ubuntu/12.10/templates/web/nginx/php5-fpm/modx.tpl

@@ -0,0 +1,60 @@
+server {
+    listen      %ip%:%web_port%;
+    server_name %domain_idn% %alias_idn%;
+    root        %docroot%;
+    index       index.php index.html index.htm;
+    access_log  /var/log/nginx/domains/%domain%.log combined;
+    access_log  /var/log/nginx/domains/%domain%.bytes bytes;
+    error_log   /var/log/nginx/domains/%domain%.error.log error;
+#   if you need to rewrite www to non-www uncomment bellow
+#   if ($host != '%domain%' ) {
+#       rewrite      ^/(.*)$  http://%domain%/$1  permanent;
+#    }
+    location = /favicon.ico {
+        log_not_found off;
+        access_log off;
+    }
+
+    location = /robots.txt {
+        allow all;
+        log_not_found off;
+        access_log off;
+    }
+
+    location / {
+        try_files $uri $uri/ @rewrite;
+        location ~* ^.+\.(jpeg|jpg|png|gif|bmp|ico|svg|css|js)$ {
+            expires     max;
+        }
+    }
+    location @rewrite {
+        rewrite ^/(.*)$ /index.php?q=$1;
+    }
+
+    location ~ \.php$ {
+        try_files $uri =404;
+        fastcgi_pass %backend_lsnr%;
+        fastcgi_index index.php;
+        fastcgi_param SCRIPT_FILENAME $request_filename;
+        include /etc/nginx/fastcgi_params;
+    }
+
+    error_page  403 /error/404.html;
+    error_page  404 /error/404.html;
+    error_page  500 502 503 504 /error/50x.html;
+
+    location /error/ {
+        alias   %home%/%user%/web/%domain%/document_errors/;
+    }
+
+    location ~* "/\.(htaccess|htpasswd)$" {
+        deny    all;
+        return  404;
+    }
+
+    include     /etc/nginx/conf.d/phpmyadmin.inc*;
+    include     /etc/nginx/conf.d/phppgadmin.inc*;
+    include     /etc/nginx/conf.d/webmail.inc*;
+
+    include     %home%/%user%/conf/web/nginx.%domain%.conf*;
+}

+ 11 - 11
install/ubuntu/12.10/templates/web/php5-fpm/no-php.tpl

@@ -1,13 +1,13 @@
-#[%backend%]
-#user = %user%
-#group = %user%
-#listen = /dev/null
+;[%backend%]
+;user = %user%
+;group = %user%
+;listen = /dev/null
 
-#listen.owner = %user%
-#listen.group = nginx
+;listen.owner = %user%
+;listen.group = nginx
 
-#pm = dynamic
-#pm.max_children = 50
-#pm.start_servers = 3
-#pm.min_spare_servers = 2
-#pm.max_spare_servers = 10
+;pm = dynamic
+;pm.max_children = 50
+;pm.start_servers = 3
+;pm.min_spare_servers = 2
+;pm.max_spare_servers = 10

+ 1 - 1
install/ubuntu/13.04/exim/exim4.conf.template

@@ -227,7 +227,7 @@ procmail:
 autoreplay:
   driver = accept
   require_files = /etc/exim4/domains/$domain/autoreply.${local_part}.msg
-  condition = ${if exists{/etc/exim4/domains/$domain/autoreply.${local_part}.msg}}{yes}{no}}
+  condition = ${if exists{/etc/exim4/domains/$domain/autoreply.${local_part}.msg}{yes}{no}}
   retry_use_local_part
   transport = userautoreply
   unseen

+ 64 - 0
install/ubuntu/13.04/templates/web/nginx/php5-fpm/modx.stpl

@@ -0,0 +1,64 @@
+server {
+    listen      %ip%:%web_ssl_port%;
+    server_name %domain_idn% %alias_idn%;
+    root        %docroot%;
+    index       index.php index.html index.htm;
+    access_log  /var/log/nginx/domains/%domain%.log combined;
+    access_log  /var/log/nginx/domains/%domain%.bytes bytes;
+    error_log   /var/log/nginx/domains/%domain%.error.log error;
+
+    ssl         on;
+    ssl_certificate      %ssl_pem%;
+    ssl_certificate_key  %ssl_key%;
+#   if you need to rewrite www to non-www uncomment bellow
+#   if ($host != '%domain%' ) {
+#       rewrite      ^/(.*)$  https://%domain%/$1  permanent;
+#    }
+    location = /favicon.ico {
+        log_not_found off;
+        access_log off;
+    }
+
+    location = /robots.txt {
+        allow all;
+        log_not_found off;
+        access_log off;
+    }
+
+    location / {
+        try_files $uri $uri/ @rewrite;
+        location ~* ^.+\.(jpeg|jpg|png|gif|bmp|ico|svg|css|js)$ {
+            expires     max;
+        }
+    }
+    location @rewrite {
+        rewrite ^/(.*)$ /index.php?q=$1;
+    }
+
+	location ~ \.php$ {
+        	try_files $uri =404;
+            fastcgi_pass %backend_lsnr%;
+            fastcgi_index index.php;
+		    fastcgi_param SCRIPT_FILENAME $request_filename;
+            include /etc/nginx/fastcgi_params;
+        }
+
+    error_page  403 /error/404.html;
+    error_page  404 /error/404.html;
+    error_page  500 502 503 504 /error/50x.html;
+
+    location /error/ {
+        alias   %home%/%user%/web/%domain%/document_errors/;
+    }
+
+    location ~* "/\.(htaccess|htpasswd)$" {
+        deny    all;
+        return  404;
+    }
+
+    include     /etc/nginx/conf.d/phpmyadmin.inc*;
+    include     /etc/nginx/conf.d/phppgadmin.inc*;
+    include     /etc/nginx/conf.d/webmail.inc*;
+
+    include     %home%/%user%/conf/web/nginx.%domain%.conf*;
+}

+ 60 - 0
install/ubuntu/13.04/templates/web/nginx/php5-fpm/modx.tpl

@@ -0,0 +1,60 @@
+server {
+    listen      %ip%:%web_port%;
+    server_name %domain_idn% %alias_idn%;
+    root        %docroot%;
+    index       index.php index.html index.htm;
+    access_log  /var/log/nginx/domains/%domain%.log combined;
+    access_log  /var/log/nginx/domains/%domain%.bytes bytes;
+    error_log   /var/log/nginx/domains/%domain%.error.log error;
+#   if you need to rewrite www to non-www uncomment bellow
+#   if ($host != '%domain%' ) {
+#       rewrite      ^/(.*)$  http://%domain%/$1  permanent;
+#    }
+    location = /favicon.ico {
+        log_not_found off;
+        access_log off;
+    }
+
+    location = /robots.txt {
+        allow all;
+        log_not_found off;
+        access_log off;
+    }
+
+    location / {
+        try_files $uri $uri/ @rewrite;
+        location ~* ^.+\.(jpeg|jpg|png|gif|bmp|ico|svg|css|js)$ {
+            expires     max;
+        }
+    }
+    location @rewrite {
+        rewrite ^/(.*)$ /index.php?q=$1;
+    }
+
+    location ~ \.php$ {
+        try_files $uri =404;
+        fastcgi_pass %backend_lsnr%;
+        fastcgi_index index.php;
+        fastcgi_param SCRIPT_FILENAME $request_filename;
+        include /etc/nginx/fastcgi_params;
+    }
+
+    error_page  403 /error/404.html;
+    error_page  404 /error/404.html;
+    error_page  500 502 503 504 /error/50x.html;
+
+    location /error/ {
+        alias   %home%/%user%/web/%domain%/document_errors/;
+    }
+
+    location ~* "/\.(htaccess|htpasswd)$" {
+        deny    all;
+        return  404;
+    }
+
+    include     /etc/nginx/conf.d/phpmyadmin.inc*;
+    include     /etc/nginx/conf.d/phppgadmin.inc*;
+    include     /etc/nginx/conf.d/webmail.inc*;
+
+    include     %home%/%user%/conf/web/nginx.%domain%.conf*;
+}

+ 11 - 11
install/ubuntu/13.04/templates/web/php5-fpm/no-php.tpl

@@ -1,13 +1,13 @@
-#[%backend%]
-#user = %user%
-#group = %user%
-#listen = /dev/null
+;[%backend%]
+;user = %user%
+;group = %user%
+;listen = /dev/null
 
-#listen.owner = %user%
-#listen.group = nginx
+;listen.owner = %user%
+;listen.group = nginx
 
-#pm = dynamic
-#pm.max_children = 50
-#pm.start_servers = 3
-#pm.min_spare_servers = 2
-#pm.max_spare_servers = 10
+;pm = dynamic
+;pm.max_children = 50
+;pm.start_servers = 3
+;pm.min_spare_servers = 2
+;pm.max_spare_servers = 10

+ 1 - 1
install/ubuntu/13.10/exim/exim4.conf.template

@@ -227,7 +227,7 @@ procmail:
 autoreplay:
   driver = accept
   require_files = /etc/exim4/domains/$domain/autoreply.${local_part}.msg
-  condition = ${if exists{/etc/exim4/domains/$domain/autoreply.${local_part}.msg}}{yes}{no}}
+  condition = ${if exists{/etc/exim4/domains/$domain/autoreply.${local_part}.msg}{yes}{no}}
   retry_use_local_part
   transport = userautoreply
   unseen

+ 64 - 0
install/ubuntu/13.10/templates/web/nginx/php5-fpm/modx.stpl

@@ -0,0 +1,64 @@
+server {
+    listen      %ip%:%web_ssl_port%;
+    server_name %domain_idn% %alias_idn%;
+    root        %docroot%;
+    index       index.php index.html index.htm;
+    access_log  /var/log/nginx/domains/%domain%.log combined;
+    access_log  /var/log/nginx/domains/%domain%.bytes bytes;
+    error_log   /var/log/nginx/domains/%domain%.error.log error;
+
+    ssl         on;
+    ssl_certificate      %ssl_pem%;
+    ssl_certificate_key  %ssl_key%;
+#   if you need to rewrite www to non-www uncomment bellow
+#   if ($host != '%domain%' ) {
+#       rewrite      ^/(.*)$  https://%domain%/$1  permanent;
+#    }
+    location = /favicon.ico {
+        log_not_found off;
+        access_log off;
+    }
+
+    location = /robots.txt {
+        allow all;
+        log_not_found off;
+        access_log off;
+    }
+
+    location / {
+        try_files $uri $uri/ @rewrite;
+        location ~* ^.+\.(jpeg|jpg|png|gif|bmp|ico|svg|css|js)$ {
+            expires     max;
+        }
+    }
+    location @rewrite {
+        rewrite ^/(.*)$ /index.php?q=$1;
+    }
+
+	location ~ \.php$ {
+        	try_files $uri =404;
+            fastcgi_pass %backend_lsnr%;
+            fastcgi_index index.php;
+		    fastcgi_param SCRIPT_FILENAME $request_filename;
+            include /etc/nginx/fastcgi_params;
+        }
+
+    error_page  403 /error/404.html;
+    error_page  404 /error/404.html;
+    error_page  500 502 503 504 /error/50x.html;
+
+    location /error/ {
+        alias   %home%/%user%/web/%domain%/document_errors/;
+    }
+
+    location ~* "/\.(htaccess|htpasswd)$" {
+        deny    all;
+        return  404;
+    }
+
+    include     /etc/nginx/conf.d/phpmyadmin.inc*;
+    include     /etc/nginx/conf.d/phppgadmin.inc*;
+    include     /etc/nginx/conf.d/webmail.inc*;
+
+    include     %home%/%user%/conf/web/nginx.%domain%.conf*;
+}

+ 60 - 0
install/ubuntu/13.10/templates/web/nginx/php5-fpm/modx.tpl

@@ -0,0 +1,60 @@
+server {
+    listen      %ip%:%web_port%;
+    server_name %domain_idn% %alias_idn%;
+    root        %docroot%;
+    index       index.php index.html index.htm;
+    access_log  /var/log/nginx/domains/%domain%.log combined;
+    access_log  /var/log/nginx/domains/%domain%.bytes bytes;
+    error_log   /var/log/nginx/domains/%domain%.error.log error;
+#   if you need to rewrite www to non-www uncomment bellow
+#   if ($host != '%domain%' ) {
+#       rewrite      ^/(.*)$  http://%domain%/$1  permanent;
+#    }
+    location = /favicon.ico {
+        log_not_found off;
+        access_log off;
+    }
+
+    location = /robots.txt {
+        allow all;
+        log_not_found off;
+        access_log off;
+    }
+
+    location / {
+        try_files $uri $uri/ @rewrite;
+        location ~* ^.+\.(jpeg|jpg|png|gif|bmp|ico|svg|css|js)$ {
+            expires     max;
+        }
+    }
+    location @rewrite {
+        rewrite ^/(.*)$ /index.php?q=$1;
+    }
+
+    location ~ \.php$ {
+        try_files $uri =404;
+        fastcgi_pass %backend_lsnr%;
+        fastcgi_index index.php;
+        fastcgi_param SCRIPT_FILENAME $request_filename;
+        include /etc/nginx/fastcgi_params;
+    }
+
+    error_page  403 /error/404.html;
+    error_page  404 /error/404.html;
+    error_page  500 502 503 504 /error/50x.html;
+
+    location /error/ {
+        alias   %home%/%user%/web/%domain%/document_errors/;
+    }
+
+    location ~* "/\.(htaccess|htpasswd)$" {
+        deny    all;
+        return  404;
+    }
+
+    include     /etc/nginx/conf.d/phpmyadmin.inc*;
+    include     /etc/nginx/conf.d/phppgadmin.inc*;
+    include     /etc/nginx/conf.d/webmail.inc*;
+
+    include     %home%/%user%/conf/web/nginx.%domain%.conf*;
+}

+ 11 - 11
install/ubuntu/13.10/templates/web/php5-fpm/no-php.tpl

@@ -1,13 +1,13 @@
-#[%backend%]
-#user = %user%
-#group = %user%
-#listen = /dev/null
+;[%backend%]
+;user = %user%
+;group = %user%
+;listen = /dev/null
 
-#listen.owner = %user%
-#listen.group = nginx
+;listen.owner = %user%
+;listen.group = nginx
 
-#pm = dynamic
-#pm.max_children = 50
-#pm.start_servers = 3
-#pm.min_spare_servers = 2
-#pm.max_spare_servers = 10
+;pm = dynamic
+;pm.max_children = 50
+;pm.start_servers = 3
+;pm.min_spare_servers = 2
+;pm.max_spare_servers = 10

+ 1 - 1
install/ubuntu/14.04/exim/exim4.conf.template

@@ -227,7 +227,7 @@ procmail:
 autoreplay:
   driver = accept
   require_files = /etc/exim4/domains/$domain/autoreply.${local_part}.msg
-  condition = ${if exists{/etc/exim4/domains/$domain/autoreply.${local_part}.msg}}{yes}{no}}
+  condition = ${if exists{/etc/exim4/domains/$domain/autoreply.${local_part}.msg}{yes}{no}}
   retry_use_local_part
   transport = userautoreply
   unseen

+ 64 - 0
install/ubuntu/14.04/templates/web/nginx/php5-fpm/modx.stpl

@@ -0,0 +1,64 @@
+server {
+    listen      %ip%:%web_ssl_port%;
+    server_name %domain_idn% %alias_idn%;
+    root        %docroot%;
+    index       index.php index.html index.htm;
+    access_log  /var/log/nginx/domains/%domain%.log combined;
+    access_log  /var/log/nginx/domains/%domain%.bytes bytes;
+    error_log   /var/log/nginx/domains/%domain%.error.log error;
+
+    ssl         on;
+    ssl_certificate      %ssl_pem%;
+    ssl_certificate_key  %ssl_key%;
+#   if you need to rewrite www to non-www uncomment bellow
+#   if ($host != '%domain%' ) {
+#       rewrite      ^/(.*)$  https://%domain%/$1  permanent;
+#    }
+    location = /favicon.ico {
+        log_not_found off;
+        access_log off;
+    }
+
+    location = /robots.txt {
+        allow all;
+        log_not_found off;
+        access_log off;
+    }
+
+    location / {
+        try_files $uri $uri/ @rewrite;
+        location ~* ^.+\.(jpeg|jpg|png|gif|bmp|ico|svg|css|js)$ {
+            expires     max;
+        }
+    }
+    location @rewrite {
+        rewrite ^/(.*)$ /index.php?q=$1;
+    }
+
+	location ~ \.php$ {
+        	try_files $uri =404;
+            fastcgi_pass %backend_lsnr%;
+            fastcgi_index index.php;
+		    fastcgi_param SCRIPT_FILENAME $request_filename;
+            include /etc/nginx/fastcgi_params;
+        }
+
+    error_page  403 /error/404.html;
+    error_page  404 /error/404.html;
+    error_page  500 502 503 504 /error/50x.html;
+
+    location /error/ {
+        alias   %home%/%user%/web/%domain%/document_errors/;
+    }
+
+    location ~* "/\.(htaccess|htpasswd)$" {
+        deny    all;
+        return  404;
+    }
+
+    include     /etc/nginx/conf.d/phpmyadmin.inc*;
+    include     /etc/nginx/conf.d/phppgadmin.inc*;
+    include     /etc/nginx/conf.d/webmail.inc*;
+
+    include     %home%/%user%/conf/web/nginx.%domain%.conf*;
+}

+ 60 - 0
install/ubuntu/14.04/templates/web/nginx/php5-fpm/modx.tpl

@@ -0,0 +1,60 @@
+server {
+    listen      %ip%:%web_port%;
+    server_name %domain_idn% %alias_idn%;
+    root        %docroot%;
+    index       index.php index.html index.htm;
+    access_log  /var/log/nginx/domains/%domain%.log combined;
+    access_log  /var/log/nginx/domains/%domain%.bytes bytes;
+    error_log   /var/log/nginx/domains/%domain%.error.log error;
+#   if you need to rewrite www to non-www uncomment bellow
+#   if ($host != '%domain%' ) {
+#       rewrite      ^/(.*)$  http://%domain%/$1  permanent;
+#    }
+    location = /favicon.ico {
+        log_not_found off;
+        access_log off;
+    }
+
+    location = /robots.txt {
+        allow all;
+        log_not_found off;
+        access_log off;
+    }
+
+    location / {
+        try_files $uri $uri/ @rewrite;
+        location ~* ^.+\.(jpeg|jpg|png|gif|bmp|ico|svg|css|js)$ {
+            expires     max;
+        }
+    }
+    location @rewrite {
+        rewrite ^/(.*)$ /index.php?q=$1;
+    }
+
+    location ~ \.php$ {
+        try_files $uri =404;
+        fastcgi_pass %backend_lsnr%;
+        fastcgi_index index.php;
+        fastcgi_param SCRIPT_FILENAME $request_filename;
+        include /etc/nginx/fastcgi_params;
+    }
+
+    error_page  403 /error/404.html;
+    error_page  404 /error/404.html;
+    error_page  500 502 503 504 /error/50x.html;
+
+    location /error/ {
+        alias   %home%/%user%/web/%domain%/document_errors/;
+    }
+
+    location ~* "/\.(htaccess|htpasswd)$" {
+        deny    all;
+        return  404;
+    }
+
+    include     /etc/nginx/conf.d/phpmyadmin.inc*;
+    include     /etc/nginx/conf.d/phppgadmin.inc*;
+    include     /etc/nginx/conf.d/webmail.inc*;
+
+    include     %home%/%user%/conf/web/nginx.%domain%.conf*;
+}

+ 11 - 11
install/ubuntu/14.04/templates/web/php5-fpm/no-php.tpl

@@ -1,13 +1,13 @@
-#[%backend%]
-#user = %user%
-#group = %user%
-#listen = /dev/null
+;[%backend%]
+;user = %user%
+;group = %user%
+;listen = /dev/null
 
-#listen.owner = %user%
-#listen.group = nginx
+;listen.owner = %user%
+;listen.group = nginx
 
-#pm = dynamic
-#pm.max_children = 50
-#pm.start_servers = 3
-#pm.min_spare_servers = 2
-#pm.max_spare_servers = 10
+;pm = dynamic
+;pm.max_children = 50
+;pm.start_servers = 3
+;pm.min_spare_servers = 2
+;pm.max_spare_servers = 10

+ 1 - 1
install/ubuntu/14.10/exim/exim4.conf.template

@@ -227,7 +227,7 @@ procmail:
 autoreplay:
   driver = accept
   require_files = /etc/exim4/domains/$domain/autoreply.${local_part}.msg
-  condition = ${if exists{/etc/exim4/domains/$domain/autoreply.${local_part}.msg}}{yes}{no}}
+  condition = ${if exists{/etc/exim4/domains/$domain/autoreply.${local_part}.msg}{yes}{no}}
   retry_use_local_part
   transport = userautoreply
   unseen

+ 64 - 0
install/ubuntu/14.10/templates/web/nginx/php5-fpm/modx.stpl

@@ -0,0 +1,64 @@
+server {
+    listen      %ip%:%web_ssl_port%;
+    server_name %domain_idn% %alias_idn%;
+    root        %docroot%;
+    index       index.php index.html index.htm;
+    access_log  /var/log/nginx/domains/%domain%.log combined;
+    access_log  /var/log/nginx/domains/%domain%.bytes bytes;
+    error_log   /var/log/nginx/domains/%domain%.error.log error;
+
+    ssl         on;
+    ssl_certificate      %ssl_pem%;
+    ssl_certificate_key  %ssl_key%;
+#   if you need to rewrite www to non-www uncomment bellow
+#   if ($host != '%domain%' ) {
+#       rewrite      ^/(.*)$  https://%domain%/$1  permanent;
+#    }
+    location = /favicon.ico {
+        log_not_found off;
+        access_log off;
+    }
+
+    location = /robots.txt {
+        allow all;
+        log_not_found off;
+        access_log off;
+    }
+
+    location / {
+        try_files $uri $uri/ @rewrite;
+        location ~* ^.+\.(jpeg|jpg|png|gif|bmp|ico|svg|css|js)$ {
+            expires     max;
+        }
+    }
+    location @rewrite {
+        rewrite ^/(.*)$ /index.php?q=$1;
+    }
+
+	location ~ \.php$ {
+        	try_files $uri =404;
+            fastcgi_pass %backend_lsnr%;
+            fastcgi_index index.php;
+		    fastcgi_param SCRIPT_FILENAME $request_filename;
+            include /etc/nginx/fastcgi_params;
+        }
+
+    error_page  403 /error/404.html;
+    error_page  404 /error/404.html;
+    error_page  500 502 503 504 /error/50x.html;
+
+    location /error/ {
+        alias   %home%/%user%/web/%domain%/document_errors/;
+    }
+
+    location ~* "/\.(htaccess|htpasswd)$" {
+        deny    all;
+        return  404;
+    }
+
+    include     /etc/nginx/conf.d/phpmyadmin.inc*;
+    include     /etc/nginx/conf.d/phppgadmin.inc*;
+    include     /etc/nginx/conf.d/webmail.inc*;
+
+    include     %home%/%user%/conf/web/nginx.%domain%.conf*;
+}

+ 60 - 0
install/ubuntu/14.10/templates/web/nginx/php5-fpm/modx.tpl

@@ -0,0 +1,60 @@
+server {
+    listen      %ip%:%web_port%;
+    server_name %domain_idn% %alias_idn%;
+    root        %docroot%;
+    index       index.php index.html index.htm;
+    access_log  /var/log/nginx/domains/%domain%.log combined;
+    access_log  /var/log/nginx/domains/%domain%.bytes bytes;
+    error_log   /var/log/nginx/domains/%domain%.error.log error;
+#   if you need to rewrite www to non-www uncomment bellow
+#   if ($host != '%domain%' ) {
+#       rewrite      ^/(.*)$  http://%domain%/$1  permanent;
+#    }
+    location = /favicon.ico {
+        log_not_found off;
+        access_log off;
+    }
+
+    location = /robots.txt {
+        allow all;
+        log_not_found off;
+        access_log off;
+    }
+
+    location / {
+        try_files $uri $uri/ @rewrite;
+        location ~* ^.+\.(jpeg|jpg|png|gif|bmp|ico|svg|css|js)$ {
+            expires     max;
+        }
+    }
+    location @rewrite {
+        rewrite ^/(.*)$ /index.php?q=$1;
+    }
+
+    location ~ \.php$ {
+        try_files $uri =404;
+        fastcgi_pass %backend_lsnr%;
+        fastcgi_index index.php;
+        fastcgi_param SCRIPT_FILENAME $request_filename;
+        include /etc/nginx/fastcgi_params;
+    }
+
+    error_page  403 /error/404.html;
+    error_page  404 /error/404.html;
+    error_page  500 502 503 504 /error/50x.html;
+
+    location /error/ {
+        alias   %home%/%user%/web/%domain%/document_errors/;
+    }
+
+    location ~* "/\.(htaccess|htpasswd)$" {
+        deny    all;
+        return  404;
+    }
+
+    include     /etc/nginx/conf.d/phpmyadmin.inc*;
+    include     /etc/nginx/conf.d/phppgadmin.inc*;
+    include     /etc/nginx/conf.d/webmail.inc*;
+
+    include     %home%/%user%/conf/web/nginx.%domain%.conf*;
+}

+ 11 - 11
install/ubuntu/14.10/templates/web/php5-fpm/no-php.tpl

@@ -1,13 +1,13 @@
-#[%backend%]
-#user = %user%
-#group = %user%
-#listen = /dev/null
+;[%backend%]
+;user = %user%
+;group = %user%
+;listen = /dev/null
 
-#listen.owner = %user%
-#listen.group = nginx
+;listen.owner = %user%
+;listen.group = nginx
 
-#pm = dynamic
-#pm.max_children = 50
-#pm.start_servers = 3
-#pm.min_spare_servers = 2
-#pm.max_spare_servers = 10
+;pm = dynamic
+;pm.max_children = 50
+;pm.start_servers = 3
+;pm.min_spare_servers = 2
+;pm.max_spare_servers = 10

+ 1 - 1
install/ubuntu/15.04/exim/exim4.conf.template

@@ -227,7 +227,7 @@ procmail:
 autoreplay:
   driver = accept
   require_files = /etc/exim4/domains/$domain/autoreply.${local_part}.msg
-  condition = ${if exists{/etc/exim4/domains/$domain/autoreply.${local_part}.msg}}{yes}{no}}
+  condition = ${if exists{/etc/exim4/domains/$domain/autoreply.${local_part}.msg}{yes}{no}}
   retry_use_local_part
   transport = userautoreply
   unseen

+ 64 - 0
install/ubuntu/15.04/templates/web/nginx/php5-fpm/modx.stpl

@@ -0,0 +1,64 @@
+server {
+    listen      %ip%:%web_ssl_port%;
+    server_name %domain_idn% %alias_idn%;
+    root        %docroot%;
+    index       index.php index.html index.htm;
+    access_log  /var/log/nginx/domains/%domain%.log combined;
+    access_log  /var/log/nginx/domains/%domain%.bytes bytes;
+    error_log   /var/log/nginx/domains/%domain%.error.log error;
+	
+    ssl         on;
+    ssl_certificate      %ssl_pem%;
+    ssl_certificate_key  %ssl_key%;
+#   if you need to rewrite www to non-www uncomment bellow
+#   if ($host != '%domain%' ) {
+#       rewrite      ^/(.*)$  https://%domain%/$1  permanent;
+#    }
+    location = /favicon.ico {
+        log_not_found off;
+        access_log off;
+    }
+
+    location = /robots.txt {
+        allow all;
+        log_not_found off;
+        access_log off;
+    }
+
+    location / {
+        try_files $uri $uri/ @rewrite;
+        location ~* ^.+\.(jpeg|jpg|png|gif|bmp|ico|svg|css|js)$ {
+            expires     max;
+        }
+    }
+    location @rewrite {
+        rewrite ^/(.*)$ /index.php?q=$1;
+    }
+
+	location ~ \.php$ {
+        	try_files $uri =404;
+            fastcgi_pass %backend_lsnr%;
+            fastcgi_index index.php;
+		    fastcgi_param SCRIPT_FILENAME $request_filename;
+            include /etc/nginx/fastcgi_params;
+        }
+
+    error_page  403 /error/404.html;
+    error_page  404 /error/404.html;
+    error_page  500 502 503 504 /error/50x.html;
+
+    location /error/ {
+        alias   %home%/%user%/web/%domain%/document_errors/;
+    }
+
+    location ~* "/\.(htaccess|htpasswd)$" {
+        deny    all;
+        return  404;
+    }
+
+    include     /etc/nginx/conf.d/phpmyadmin.inc*;
+    include     /etc/nginx/conf.d/phppgadmin.inc*;
+    include     /etc/nginx/conf.d/webmail.inc*;
+
+    include     %home%/%user%/conf/web/nginx.%domain%.conf*;
+}

+ 60 - 0
install/ubuntu/15.04/templates/web/nginx/php5-fpm/modx.tpl

@@ -0,0 +1,60 @@
+server {
+    listen      %ip%:%web_port%;
+    server_name %domain_idn% %alias_idn%;
+    root        %docroot%;
+    index       index.php index.html index.htm;
+    access_log  /var/log/nginx/domains/%domain%.log combined;
+    access_log  /var/log/nginx/domains/%domain%.bytes bytes;
+    error_log   /var/log/nginx/domains/%domain%.error.log error;
+#   if you need to rewrite www to non-www uncomment bellow
+#   if ($host != '%domain%' ) {
+#       rewrite      ^/(.*)$  http://%domain%/$1  permanent;
+#    }
+    location = /favicon.ico {
+        log_not_found off;
+        access_log off;
+    }
+
+    location = /robots.txt {
+        allow all;
+        log_not_found off;
+        access_log off;
+    }
+
+    location / {
+        try_files $uri $uri/ @rewrite;
+        location ~* ^.+\.(jpeg|jpg|png|gif|bmp|ico|svg|css|js)$ {
+            expires     max;
+        }
+    }
+    location @rewrite {
+        rewrite ^/(.*)$ /index.php?q=$1;
+    }
+
+    location ~ \.php$ {
+        try_files $uri =404;
+        fastcgi_pass %backend_lsnr%;
+        fastcgi_index index.php;
+        fastcgi_param SCRIPT_FILENAME $request_filename;
+        include /etc/nginx/fastcgi_params;
+    }
+
+    error_page  403 /error/404.html;
+    error_page  404 /error/404.html;
+    error_page  500 502 503 504 /error/50x.html;
+
+    location /error/ {
+        alias   %home%/%user%/web/%domain%/document_errors/;
+    }
+
+    location ~* "/\.(htaccess|htpasswd)$" {
+        deny    all;
+        return  404;
+    }
+
+    include     /etc/nginx/conf.d/phpmyadmin.inc*;
+    include     /etc/nginx/conf.d/phppgadmin.inc*;
+    include     /etc/nginx/conf.d/webmail.inc*;
+
+    include     %home%/%user%/conf/web/nginx.%domain%.conf*;
+}

+ 11 - 11
install/ubuntu/15.04/templates/web/php5-fpm/no-php.tpl

@@ -1,13 +1,13 @@
-#[%backend%]
-#user = %user%
-#group = %user%
-#listen = /dev/null
+;[%backend%]
+;user = %user%
+;group = %user%
+;listen = /dev/null
 
-#listen.owner = %user%
-#listen.group = nginx
+;listen.owner = %user%
+;listen.group = nginx
 
-#pm = dynamic
-#pm.max_children = 50
-#pm.start_servers = 3
-#pm.min_spare_servers = 2
-#pm.max_spare_servers = 10
+;pm = dynamic
+;pm.max_children = 50
+;pm.start_servers = 3
+;pm.min_spare_servers = 2
+;pm.max_spare_servers = 10

+ 1 - 1
install/ubuntu/15.10/exim/exim4.conf.template

@@ -227,7 +227,7 @@ procmail:
 autoreplay:
   driver = accept
   require_files = /etc/exim4/domains/$domain/autoreply.${local_part}.msg
-  condition = ${if exists{/etc/exim4/domains/$domain/autoreply.${local_part}.msg}}{yes}{no}}
+  condition = ${if exists{/etc/exim4/domains/$domain/autoreply.${local_part}.msg}{yes}{no}}
   retry_use_local_part
   transport = userautoreply
   unseen

+ 64 - 0
install/ubuntu/15.10/templates/web/nginx/php5-fpm/modx.stpl

@@ -0,0 +1,64 @@
+server {
+    listen      %ip%:%web_ssl_port%;
+    server_name %domain_idn% %alias_idn%;
+    root        %docroot%;
+    index       index.php index.html index.htm;
+    access_log  /var/log/nginx/domains/%domain%.log combined;
+    access_log  /var/log/nginx/domains/%domain%.bytes bytes;
+    error_log   /var/log/nginx/domains/%domain%.error.log error;
+
+    ssl         on;
+    ssl_certificate      %ssl_pem%;
+    ssl_certificate_key  %ssl_key%;
+#   if you need to rewrite www to non-www uncomment bellow
+#   if ($host != '%domain%' ) {
+#       rewrite      ^/(.*)$  https://%domain%/$1  permanent;
+#    }
+    location = /favicon.ico {
+        log_not_found off;
+        access_log off;
+    }
+
+    location = /robots.txt {
+        allow all;
+        log_not_found off;
+        access_log off;
+    }
+
+    location / {
+        try_files $uri $uri/ @rewrite;
+        location ~* ^.+\.(jpeg|jpg|png|gif|bmp|ico|svg|css|js)$ {
+            expires     max;
+        }
+    }
+    location @rewrite {
+        rewrite ^/(.*)$ /index.php?q=$1;
+    }
+
+	location ~ \.php$ {
+        	try_files $uri =404;
+            fastcgi_pass %backend_lsnr%;
+            fastcgi_index index.php;
+		    fastcgi_param SCRIPT_FILENAME $request_filename;
+            include /etc/nginx/fastcgi_params;
+        }
+
+    error_page  403 /error/404.html;
+    error_page  404 /error/404.html;
+    error_page  500 502 503 504 /error/50x.html;
+
+    location /error/ {
+        alias   %home%/%user%/web/%domain%/document_errors/;
+    }
+
+    location ~* "/\.(htaccess|htpasswd)$" {
+        deny    all;
+        return  404;
+    }
+
+    include     /etc/nginx/conf.d/phpmyadmin.inc*;
+    include     /etc/nginx/conf.d/phppgadmin.inc*;
+    include     /etc/nginx/conf.d/webmail.inc*;
+
+    include     %home%/%user%/conf/web/nginx.%domain%.conf*;
+}

+ 60 - 0
install/ubuntu/15.10/templates/web/nginx/php5-fpm/modx.tpl

@@ -0,0 +1,60 @@
+server {
+    listen      %ip%:%web_port%;
+    server_name %domain_idn% %alias_idn%;
+    root        %docroot%;
+    index       index.php index.html index.htm;
+    access_log  /var/log/nginx/domains/%domain%.log combined;
+    access_log  /var/log/nginx/domains/%domain%.bytes bytes;
+    error_log   /var/log/nginx/domains/%domain%.error.log error;
+#   if you need to rewrite www to non-www uncomment bellow
+#   if ($host != '%domain%' ) {
+#       rewrite      ^/(.*)$  http://%domain%/$1  permanent;
+#    }
+    location = /favicon.ico {
+        log_not_found off;
+        access_log off;
+    }
+
+    location = /robots.txt {
+        allow all;
+        log_not_found off;
+        access_log off;
+    }
+
+    location / {
+        try_files $uri $uri/ @rewrite;
+        location ~* ^.+\.(jpeg|jpg|png|gif|bmp|ico|svg|css|js)$ {
+            expires     max;
+        }
+    }
+    location @rewrite {
+        rewrite ^/(.*)$ /index.php?q=$1;
+    }
+
+    location ~ \.php$ {
+        try_files $uri =404;
+        fastcgi_pass %backend_lsnr%;
+        fastcgi_index index.php;
+        fastcgi_param SCRIPT_FILENAME $request_filename;
+        include /etc/nginx/fastcgi_params;
+    }
+
+    error_page  403 /error/404.html;
+    error_page  404 /error/404.html;
+    error_page  500 502 503 504 /error/50x.html;
+
+    location /error/ {
+        alias   %home%/%user%/web/%domain%/document_errors/;
+    }
+
+    location ~* "/\.(htaccess|htpasswd)$" {
+        deny    all;
+        return  404;
+    }
+
+    include     /etc/nginx/conf.d/phpmyadmin.inc*;
+    include     /etc/nginx/conf.d/phppgadmin.inc*;
+    include     /etc/nginx/conf.d/webmail.inc*;
+
+    include     %home%/%user%/conf/web/nginx.%domain%.conf*;
+}

+ 11 - 11
install/ubuntu/15.10/templates/web/php5-fpm/no-php.tpl

@@ -1,13 +1,13 @@
-#[%backend%]
-#user = %user%
-#group = %user%
-#listen = /dev/null
+;[%backend%]
+;user = %user%
+;group = %user%
+;listen = /dev/null
 
-#listen.owner = %user%
-#listen.group = nginx
+;listen.owner = %user%
+;listen.group = nginx
 
-#pm = dynamic
-#pm.max_children = 50
-#pm.start_servers = 3
-#pm.min_spare_servers = 2
-#pm.max_spare_servers = 10
+;pm = dynamic
+;pm.max_children = 50
+;pm.start_servers = 3
+;pm.min_spare_servers = 2
+;pm.max_spare_servers = 10

+ 1 - 1
install/vst-install-debian.sh

@@ -13,7 +13,7 @@ VERSION='debian'
 memory=$(grep 'MemTotal' /proc/meminfo |tr ' ' '\n' |grep [0-9])
 arch=$(uname -i)
 os='debian'
-release=$(cat /etc/issue|grep -o [0-9]|head -n1)
+release=$(cat /etc/debian_version|grep -o [0-9]|head -n1)
 codename="$(cat /etc/os-release |grep VERSION= |cut -f 2 -d \(|cut -f 1 -d \))"
 vestacp="http://$CHOST/$VERSION/$release"
 

+ 1 - 1
web/inc/i18n/vi.php

@@ -315,7 +315,7 @@ $LANG['vi'] = array(
     'IP address'  => 'Địa chỉ IP',
     'netmask'  => 'netmask',
     'interface'  => 'Giao tiếp',
-    'assigned user'  => 'người dùng đơ]cj chỉ định',
+    'assigned user'  => 'người dùng được chỉ định',
     'ns1'  => 'ns1',
     'ns2'  => 'ns2',
     'user'  => 'tài khoản',

+ 4 - 4
web/templates/admin/add_ip.html

@@ -54,7 +54,7 @@
                         <table class="data-col2" width="600px">
                             <tr>
                                 <td class="vst-text step-top">
-                                    <?php print __('IP address') ?> 
+                                    <?php print __('IP address') ?>
                                 </td>
                             </tr>
                             <tr>
@@ -86,7 +86,7 @@
                                                 if ((!empty($v_interface)) && ( $value == $v_interface )) echo ' selected';
                                                 echo ">".htmlentities($value)."</option>\n";
                                             }
-                                        ?> 
+                                        ?>
                                     </select>
                                 </td>
                             </tr>
@@ -131,7 +131,7 @@
                             </tr>
                             <tr>
                                 <td class="vst-text input-label">
-                                    <?php print __('NAT IP association');?> <span class="optional"">(<?php print __('optional');?>)</span>
+                                    <?php print __('NAT IP association');?> <span class="optional">(<?php print __('optional');?>)</span>
                                 </td>
                             </tr>
                             <tr>
@@ -156,4 +156,4 @@
                 </tr>
             </table>
         </form>
-      </div>
+      </div>

+ 1 - 6
web/templates/admin/edit_package.html

@@ -22,12 +22,7 @@
 
     <div class="l-center">
       <?php
-        $back = getenv("HTTP_REFERER");
-        if (empty($back)) {
-          $back = "location.href='/list/package/'";
-        } else {
-          $back = "location.href='".$back."'";
-        }
+        $back = "location.href='/list/package/'";
       ?>
         <form id="vstobjects" name="v_edit_package" method="post"  class="<?=$v_status?>">
             <input type="hidden" name="token" value="<?=$_SESSION['token']?>" />

+ 1 - 1
web/templates/admin/list_backup.html

@@ -100,7 +100,7 @@
           <div class="l-unit__date">
             <?=translate_date($data[$key]['DATE'])?>
           </div>
-          <div class="l-unit__suspended""><?=__('outdated')?></div>
+          <div class="l-unit__suspended"><?=__('outdated')?></div>
         </div>
         <!-- /.l-unit__col -->
         <div class="l-unit__col l-unit__col--right">

+ 1 - 1
web/templates/admin/list_cron.html

@@ -124,7 +124,7 @@ sort-star="<? if($_SESSION['favourites']['CRON'][$key] == 1) echo '1'; else echo
           <div class="l-unit__date">
             <?=translate_date($data[$key]['DATE'])?>
           </div>
-          <div class="l-unit__suspended""><?=__('suspended')?></div>
+          <div class="l-unit__suspended"><?=__('suspended')?></div>
           <div class="text-center">
             <i class="l-icon-star"></i>
           </div>

+ 1 - 1
web/templates/admin/list_db.html

@@ -152,7 +152,7 @@ sort-user="<?=$data[$key]['DBUSER']?>" sort-server="<?=$data[$key]['HOST']?>" so
           <div class="l-unit__date">
             <?=translate_date($data[$key]['DATE'])?>
           </div>
-          <div class="l-unit__suspended""><?=__('suspended')?></div>
+          <div class="l-unit__suspended"><?=__('suspended')?></div>
           <div class="text-center">
             <i class="l-icon-star"></i>
           </div>

+ 1 - 1
web/templates/admin/list_dns.html

@@ -114,7 +114,7 @@ sort-expire="<?=strtotime($data[$key]['EXP'])?>" sort-records="<?=(int)$data[$ke
           <div class="l-unit__date">
             <?=translate_date($data[$key]['DATE'])?>
           </div>
-          <div class="l-unit__suspended""><?=__('suspended')?></div>
+          <div class="l-unit__suspended"><?=__('suspended')?></div>
           <div class="text-center">
             <i class="l-icon-star"></i>
           </div>

+ 1 - 1
web/templates/admin/list_dns_rec.html

@@ -98,7 +98,7 @@ v_unit_id="<?=$key?>" v_section="dns_rec">
         <!-- /.l-unit-toolbar -->
 
         <div class="l-unit__col l-unit__col--left clearfix">
-          <div class="l-unit__suspended""><?=__('suspended')?></div>
+          <div class="l-unit__suspended"><?=__('suspended')?></div>
           <div class="text-center jump-small-top">
             <i class="l-icon-star"></i>
           </div>

+ 1 - 1
web/templates/admin/list_firewall.html

@@ -113,7 +113,7 @@ sort-ip="<?=str_replace('.', '', $data[$key]['IP'])?>" sort-comment="<?=$data[$k
         <!-- /.l-unit-toolbar -->
 
         <div class="l-unit__col l-unit__col--left clearfix">
-          <div class="l-unit__suspended""><?=__('suspended')?></div>
+          <div class="l-unit__suspended"><?=__('suspended')?></div>
           <div class="text-center">
             <i class="l-icon-star"></i>
           </div>

+ 6 - 6
web/templates/admin/list_ip.html

@@ -60,9 +60,9 @@
            ++$i;
       ?>
 
-      <div class="l-unit <? if($data[$key]['SUSPENDED'] == 'yes') echo 'l-unit--suspended'; if($_SESSION['favourites']['IP'][$key] == 1) echo ' l-unit--starred'; ?>" v_unit_id="<?=$key?>" 
-v_section="ip" sort-ip="<?=str_replace('.', '', $key)?>" sort-date="<?=strtotime($data[$key]['DATE'] .' '. $data[$key]['TIME'] )?>" 
-sort-netmask="<?=str_replace('.', '', $data[$key]['NETMASK'])?>" sort-interface="<?=__($data[$key]['INTERFACE'])?>" sort-domains="<?=$data[$key]['U_WEB_DOMAINS']?>" 
+      <div class="l-unit <? if($data[$key]['SUSPENDED'] == 'yes') echo 'l-unit--suspended'; if($_SESSION['favourites']['IP'][$key] == 1) echo ' l-unit--starred'; ?>" v_unit_id="<?=$key?>"
+v_section="ip" sort-ip="<?=str_replace('.', '', $key)?>" sort-date="<?=strtotime($data[$key]['DATE'] .' '. $data[$key]['TIME'] )?>"
+sort-netmask="<?=str_replace('.', '', $data[$key]['NETMASK'])?>" sort-interface="<?=__($data[$key]['INTERFACE'])?>" sort-domains="<?=$data[$key]['U_WEB_DOMAINS']?>"
 sort-owner="<?=__($data[$key]['OWNER'])?>" sort-star="<? if($_SESSION['favourites']['IP'][$key] == 1) echo '1'; else echo '0'; ?>">
         <div class="l-unit-toolbar clearfix">
           <div class="l-unit-toolbar__col l-unit-toolbar__col--left">
@@ -72,8 +72,8 @@ sort-owner="<?=__($data[$key]['OWNER'])?>" sort-star="<? if($_SESSION['favourite
           <!-- l-unit-toolbar__col -->
           <div class="l-unit-toolbar__col l-unit-toolbar__col--right noselect">
             <div class="actions-panel clearfix">
-              <div class="actions-panel__col actions-panel__edit shortcut-enter" key-action="href""><a href="/edit/ip/?ip=<?=$key?>"><?=__('edit')?> <i></i></a><span class="shortcut enter">&nbsp;&#8629;</span></div>
-              <div class="actions-panel__col actions-panel__delete shortcut-delete" key-action="js"">
+              <div class="actions-panel__col actions-panel__edit shortcut-enter" key-action="href"><a href="/edit/ip/?ip=<?=$key?>"><?=__('edit')?> <i></i></a><span class="shortcut enter">&nbsp;&#8629;</span></div>
+              <div class="actions-panel__col actions-panel__delete shortcut-delete" key-action="js">
                 <a id="delete_link_<?=$i?>" class="data-controls do_delete">
                   <?=__('delete')?> <i class="do_delete"></i>
                   <input type="hidden" name="delete_url" value="/delete/ip/?ip=<?=$key?>&token=<?=$_SESSION['token']?>" />
@@ -94,7 +94,7 @@ sort-owner="<?=__($data[$key]['OWNER'])?>" sort-star="<? if($_SESSION['favourite
           <div class="l-unit__date">
             <?=translate_date($data[$key]['DATE'])?>
           </div>
-          <div class="l-unit__suspended""><?=__('suspended')?></div>
+          <div class="l-unit__suspended"><?=__('suspended')?></div>
           <div class="text-center">
             <i class="l-icon-star"></i>
           </div>

+ 1 - 1
web/templates/admin/list_mail.html

@@ -133,7 +133,7 @@ sort-accounts="<?=$data[$key]['ACCOUNTS']?>" sort-star="<? if($_SESSION['favouri
           <div class="l-unit__date">
             <?=translate_date($data[$key]['DATE'])?>
           </div>
-          <div class="l-unit__suspended""><?=__('suspended')?></div>
+          <div class="l-unit__suspended"><?=__('suspended')?></div>
           <div class="text-center">
             <i class="l-icon-star"></i>
           </div>

+ 1 - 1
web/templates/admin/list_mail_acc.html

@@ -126,7 +126,7 @@ sort-star="<? if($_SESSION['favourites']['MAIL_ACC'][$key."@".$_GET['domain']] =
           <div class="l-unit__date">
             <?=translate_date($data[$key]['DATE'])?>
           </div>
-          <div class="l-unit__suspended""><?=__('suspended')?></div>
+          <div class="l-unit__suspended"><?=__('suspended')?></div>
           <div class="text-center">
             <i class="l-icon-star"></i>
           </div>

+ 1 - 1
web/templates/admin/list_packages.html

@@ -90,7 +90,7 @@ sort-star="<?if($_SESSION['favourites']['PACKAGE'][$key] == 1) echo '1'; else ec
           <div class="l-unit__date">
             <?=translate_date($data[$key]['DATE'])?>
           </div>
-          <div class="l-unit__suspended""><?__('suspended')?></div>
+          <div class="l-unit__suspended"><?__('suspended')?></div>
           <div class="text-center">
             <i class="l-icon-star"></i>
           </div>

+ 3 - 3
web/templates/admin/list_search.html

@@ -74,7 +74,7 @@
               if ($data[$key]['USER'] != $user && $data[$key]['KEY'] == 'ACCOUNT') {
                 if ($key == $user) {
             ?>
-                  <div class="actions-panel__col actions-panel__loginas shortcut-l" key-action="href"><a href="/logout""><?=__('logout')?> <i></i></a><span class="shortcut">&nbsp;L</span></div>
+                  <div class="actions-panel__col actions-panel__loginas shortcut-l" key-action="href"><a href="/logout"><?=__('logout')?> <i></i></a><span class="shortcut">&nbsp;L</span></div>
                 <?
                   if (!empty($_SESSION['look_alert'])) {
                 ?>
@@ -203,7 +203,7 @@
           <div class="l-unit__date">
             <?=translate_date($data[$key]['DATE'])?>
           </div>
-          <div class="l-unit__suspended""><?__('suspended')?></div>
+          <div class="l-unit__suspended"><?__('suspended')?></div>
           <div class="text-center">
             <i class="l-icon-star"></i>
           </div>
@@ -270,4 +270,4 @@
           </div>
         </div>
       </div>
-    </div>
+    </div>

+ 1 - 1
web/templates/admin/list_services.html

@@ -65,7 +65,7 @@
         <!-- /.l-unit-toolbar -->
 
         <div class="l-unit__col l-unit__col--left clearfix">
-          <div class="l-unit__suspended""><?__('suspended')?></div>
+          <div class="l-unit__suspended"><?__('suspended')?></div>
           <!-- div class="l-unit__date">
           </div-->
         </div>

+ 2 - 2
web/templates/admin/list_user.html

@@ -95,7 +95,7 @@ sort-bandwidth="<?=$data[$key]['U_BANDWIDTH']?>" sort-disk="<?=$data[$key]['U_DI
             <?
               if ($key == $user) {
             ?>
-                <div class="actions-panel__col actions-panel__loginas shortcut-l" key-action="href"><a href="/logout""><?=__('logout')?> <i></i></a><span class="shortcut">&nbsp;L</span></div>
+                <div class="actions-panel__col actions-panel__loginas shortcut-l" key-action="href"><a href="/logout"><?=__('logout')?> <i></i></a><span class="shortcut">&nbsp;L</span></div>
               <?
                 if (!empty($_SESSION['look_alert'])) {
               ?>
@@ -162,7 +162,7 @@ sort-bandwidth="<?=$data[$key]['U_BANDWIDTH']?>" sort-disk="<?=$data[$key]['U_DI
           <div class="l-unit__date">
             <?=translate_date($data[$key]['DATE'])?>
           </div>
-          <div class="l-unit__suspended""><?=__('suspended')?></div>
+          <div class="l-unit__suspended"><?=__('suspended')?></div>
           <div class="text-center">
             <i class="l-icon-star"></i>
           </div>

+ 1 - 1
web/templates/admin/list_web.html

@@ -169,7 +169,7 @@ sort-name="<?=$key?>"  sort-bandwidth="<?=$data[$key]['U_BANDWIDTH']?>" sort-dis
           <div class="l-unit__date">
             <?=translate_date($data[$key]['DATE'])?>
           </div>
-          <div class="l-unit__suspended""><?=__('suspended')?></div>
+          <div class="l-unit__suspended"><?=__('suspended')?></div>
           <div class="text-center">
             <i class="l-icon-star"></i>
           </div>

+ 1 - 1
web/templates/user/list_cron.html

@@ -111,7 +111,7 @@ sort-date="<?=strtotime($data[$key]['DATE'].' '.$data[$key]['TIME'])?>" sort-nam
           <div class="l-unit__date">
             <?=translate_date($data[$key]['DATE'])?>
           </div>
-          <div class="l-unit__suspended""><?__('suspended')?></div>
+          <div class="l-unit__suspended"><?__('suspended')?></div>
           <div class="text-center">
             <i class="l-icon-star"></i>
           </div>

+ 1 - 1
web/templates/user/list_db.html

@@ -141,7 +141,7 @@ sort-user="<?=$data[$key]['DBUSER']?>" sort-server="<?=$data[$key]['HOST']?>" so
           <div class="l-unit__date">
             <?=translate_date($data[$key]['DATE'])?>
           </div>
-          <div class="l-unit__suspended""><?=__('suspended')?></div>
+          <div class="l-unit__suspended"><?=__('suspended')?></div>
           <div class="text-center">
             <i class="l-icon-star"></i>
           </div>

+ 1 - 1
web/templates/user/list_dns.html

@@ -103,7 +103,7 @@ sort-expire="<?=strtotime($data[$key]['EXP'])?>" sort-records="<?=(int)$data[$ke
           <div class="l-unit__date">
             <?=translate_date($data[$key]['DATE'])?>
           </div>
-          <div class="l-unit__suspended""><?__('suspended')?></div>
+          <div class="l-unit__suspended"><?__('suspended')?></div>
           <div class="text-center">
             <i class="l-icon-star"></i>
           </div>

+ 1 - 1
web/templates/user/list_dns_rec.html

@@ -96,7 +96,7 @@
         <!-- /.l-unit-toolbar -->
 
         <div class="l-unit__col l-unit__col--left clearfix">
-          <div class="l-unit__suspended""><?__('suspended')?></div>
+          <div class="l-unit__suspended"><?__('suspended')?></div>
           <div class="text-center jump-small-top">
             <i class="l-icon-star"></i>
           </div>

+ 1 - 1
web/templates/user/list_mail.html

@@ -121,7 +121,7 @@ sort-accounts="<?=$data[$key]['ACCOUNTS']?>" sort-star="<? if($_SESSION['favouri
           <div class="l-unit__date">
             <?=translate_date($data[$key]['DATE'])?>
           </div>
-          <div class="l-unit__suspended""><?__('suspended')?></div>
+          <div class="l-unit__suspended"><?__('suspended')?></div>
           <div class="text-center">
             <i class="l-icon-star"></i>
           </div>

+ 1 - 1
web/templates/user/list_mail_acc.html

@@ -114,7 +114,7 @@ sort-star="<? if($_SESSION['favourites']['MAIL_ACC'][$key."@".$_GET['domain']] =
           <div class="l-unit__date">
             <?=translate_date($data[$key]['DATE'])?>
           </div>
-          <div class="l-unit__suspended""><?__('suspended')?></div>
+          <div class="l-unit__suspended"><?__('suspended')?></div>
           <div class="text-center">
             <i class="l-icon-star"></i>
           </div>

+ 2 - 2
web/templates/user/list_search.html

@@ -73,7 +73,7 @@
               if ($data[$key]['USER'] != $user && $data[$key]['KEY'] == 'ACCOUNT') {
                 if ($key == $user) {
             ?>
-                  <div class="actions-panel__col actions-panel__loginas shortcut-l" key-action="href"><a href="/logout""><?=__('logout')?> <i></i></a><span class="shortcut">&nbsp;L</span></div>
+                  <div class="actions-panel__col actions-panel__loginas shortcut-l" key-action="href"><a href="/logout"><?=__('logout')?> <i></i></a><span class="shortcut">&nbsp;L</span></div>
                 <?
                   if (!empty($_SESSION['look_alert'])) {
                 ?>
@@ -168,7 +168,7 @@
           <div class="l-unit__date" u_date="<?=strtotime($data[$key]['DATE'])?>">
             <?=translate_date($data[$key]['DATE'])?>
           </div>
-          <div class="l-unit__suspended""><?__('suspended')?></div>
+          <div class="l-unit__suspended"><?__('suspended')?></div>
           <div class="text-center">
             <i class="l-icon-star"></i>
           </div>

+ 2 - 2
web/templates/user/list_user.html

@@ -93,7 +93,7 @@ sort-disk="<?=$data[$key]['U_DISK']?>" sort-star="<?if($_SESSION['favourites']['
             <?
               if ($key == $user) {
             ?>
-                <div class="actions-panel__col actions-panel__loginas shortcut-l" key-action="href"><a href="/logout""><?=__('logout')?> <i></i></a><span class="shortcut">&nbsp;L</span></div>
+                <div class="actions-panel__col actions-panel__loginas shortcut-l" key-action="href"><a href="/logout"><?=__('logout')?> <i></i></a><span class="shortcut">&nbsp;L</span></div>
               <?
                 if (!empty($_SESSION['look_alert'])) {
               ?>
@@ -150,7 +150,7 @@ sort-disk="<?=$data[$key]['U_DISK']?>" sort-star="<?if($_SESSION['favourites']['
           <div class="l-unit__date">
             <?=translate_date($data[$key]['DATE'])?>
           </div>
-          <div class="l-unit__suspended""><?__('suspended')?></div>
+          <div class="l-unit__suspended"><?__('suspended')?></div>
           <div class="text-center">
             <i class="l-icon-star"></i>
           </div>

+ 1 - 1
web/templates/user/list_web.html

@@ -161,7 +161,7 @@ sort-bandwidth="<?=$data[$key]['U_BANDWIDTH']?>" sort-disk="<?=$data[$key]['U_DI
           <div class="l-unit__date" u_date="<?=strtotime('1/1/2011')?>">
             <?=translate_date($data[$key]['DATE'])?>
           </div>
-          <div class="l-unit__suspended""><?__('suspended')?></div>
+          <div class="l-unit__suspended"><?__('suspended')?></div>
           <div class="text-center">
             <i class="l-icon-star"></i>
           </div>